## org.eclipse.m2m.atl.dsls.tcs.injector
Class ATL_ANTLR3Parser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser

    public class ATL_ANTLR3Parser

extends org.antlr.runtime.Parser

Field Summary
`static int` `ALPHA`
`static int` `AROBAS`
`static int` `ASSIGNARROW`
`static int` `COLON`
`static int` `COMA`
`static int` `COMMENT`
`protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA107` `dfa107`
`static int` `DIGIT`
`TCSRuntime` `ei`
`static int` `EOF`
`static int` `EQ`
`static int` `ESC`
`static int` `EXCL`
`static int` `FLOAT`
`static org.antlr.runtime.BitSet` `FOLLOW_43_in_identifierOrKeyword137`
`static org.antlr.runtime.BitSet` `FOLLOW_43_in_module599`
`static org.antlr.runtime.BitSet` `FOLLOW_44_in_identifierOrKeyword142`
`static org.antlr.runtime.BitSet` `FOLLOW_44_in_module609`
`static org.antlr.runtime.BitSet` `FOLLOW_45_in_identifierOrKeyword147`
`static org.antlr.runtime.BitSet` `FOLLOW_45_in_lazyMatchedRule1498`
`static org.antlr.runtime.BitSet` `FOLLOW_45_in_matchedRule_abstractContents5980`
`static org.antlr.runtime.BitSet` `FOLLOW_45_in_module638`
`static org.antlr.runtime.BitSet` `FOLLOW_46_in_identifierOrKeyword152`
`static org.antlr.runtime.BitSet` `FOLLOW_46_in_inPattern1900`
`static org.antlr.runtime.BitSet` `FOLLOW_46_in_module645`
`static org.antlr.runtime.BitSet` `FOLLOW_47_in_identifierOrKeyword157`
`static org.antlr.runtime.BitSet` `FOLLOW_47_in_library756`
`static org.antlr.runtime.BitSet` `FOLLOW_48_in_identifierOrKeyword162`
`static org.antlr.runtime.BitSet` `FOLLOW_48_in_query844`
`static org.antlr.runtime.BitSet` `FOLLOW_49_in_identifierOrKeyword167`
`static org.antlr.runtime.BitSet` `FOLLOW_49_in_libraryRef940`
`static org.antlr.runtime.BitSet` `FOLLOW_50_in_helper1021`
`static org.antlr.runtime.BitSet` `FOLLOW_50_in_identifierOrKeyword172`
`static org.antlr.runtime.BitSet` `FOLLOW_51_in_identifierOrKeyword177`
`static org.antlr.runtime.BitSet` `FOLLOW_51_in_oclFeatureDefinition1079`
`static org.antlr.runtime.BitSet` `FOLLOW_52_in_identifierOrKeyword182`
`static org.antlr.runtime.BitSet` `FOLLOW_52_in_oclContextDefinition1119`
`static org.antlr.runtime.BitSet` `FOLLOW_53_in_identifierOrKeyword187`
`static org.antlr.runtime.BitSet` `FOLLOW_53_in_matchedRule_abstractContents5952`
`static org.antlr.runtime.BitSet` `FOLLOW_54_in_identifierOrKeyword192`
`static org.antlr.runtime.BitSet` `FOLLOW_54_in_lazyMatchedRule1484`
`static org.antlr.runtime.BitSet` `FOLLOW_54_in_matchedRule_abstractContents5966`
`static org.antlr.runtime.BitSet` `FOLLOW_55_in_calledRule1744`
`static org.antlr.runtime.BitSet` `FOLLOW_55_in_identifierOrKeyword197`
`static org.antlr.runtime.BitSet` `FOLLOW_55_in_lazyMatchedRule1510`
`static org.antlr.runtime.BitSet` `FOLLOW_55_in_matchedRule_abstractContents5992`
`static org.antlr.runtime.BitSet` `FOLLOW_56_in_identifierOrKeyword202`
`static org.antlr.runtime.BitSet` `FOLLOW_56_in_lazyMatchedRule1520`
`static org.antlr.runtime.BitSet` `FOLLOW_56_in_matchedRule_abstractContents6002`
`static org.antlr.runtime.BitSet` `FOLLOW_57_in_calledRule1788`
`static org.antlr.runtime.BitSet` `FOLLOW_57_in_identifierOrKeyword207`
`static org.antlr.runtime.BitSet` `FOLLOW_57_in_lazyMatchedRule1550`
`static org.antlr.runtime.BitSet` `FOLLOW_57_in_matchedRule_abstractContents6032`
`static org.antlr.runtime.BitSet` `FOLLOW_58_in_identifierOrKeyword212`
`static org.antlr.runtime.BitSet` `FOLLOW_58_in_lazyMatchedRule1468`
`static org.antlr.runtime.BitSet` `FOLLOW_59_in_identifierOrKeyword217`
`static org.antlr.runtime.BitSet` `FOLLOW_59_in_lazyMatchedRule1480`
`static org.antlr.runtime.BitSet` `FOLLOW_60_in_calledRule1718`
`static org.antlr.runtime.BitSet` `FOLLOW_60_in_identifierOrKeyword222`
`static org.antlr.runtime.BitSet` `FOLLOW_61_in_calledRule1732`
`static org.antlr.runtime.BitSet` `FOLLOW_61_in_identifierOrKeyword227`
`static org.antlr.runtime.BitSet` `FOLLOW_62_in_forEachOutPatternElement2407`
`static org.antlr.runtime.BitSet` `FOLLOW_62_in_forStat2948`
`static org.antlr.runtime.BitSet` `FOLLOW_62_in_identifierOrKeyword232`
`static org.antlr.runtime.BitSet` `FOLLOW_62_in_letExp3953`
`static org.antlr.runtime.BitSet` `FOLLOW_62_in_simpleInPatternElement2037`
`static org.antlr.runtime.BitSet` `FOLLOW_62_in_simpleOutPatternElement2223`
`static org.antlr.runtime.BitSet` `FOLLOW_63_in_identifierOrKeyword237`
`static org.antlr.runtime.BitSet` `FOLLOW_63_in_outPattern2105`
`static org.antlr.runtime.BitSet` `FOLLOW_64_in_forEachOutPatternElement2419`
`static org.antlr.runtime.BitSet` `FOLLOW_64_in_identifierOrKeyword242`
`static org.antlr.runtime.BitSet` `FOLLOW_64_in_simpleOutPatternElement2243`
`static org.antlr.runtime.BitSet` `FOLLOW_65_in_forEachOutPatternElement2389`
`static org.antlr.runtime.BitSet` `FOLLOW_65_in_identifierOrKeyword247`
`static org.antlr.runtime.BitSet` `FOLLOW_66_in_forEachOutPatternElement2397`
`static org.antlr.runtime.BitSet` `FOLLOW_66_in_identifierOrKeyword252`
`static org.antlr.runtime.BitSet` `FOLLOW_67_in_actionBlock2570`
`static org.antlr.runtime.BitSet` `FOLLOW_67_in_identifierOrKeyword257`
`static org.antlr.runtime.BitSet` `FOLLOW_68_in_identifierOrKeyword262`
`static org.antlr.runtime.BitSet` `FOLLOW_68_in_ifExp3813`
`static org.antlr.runtime.BitSet` `FOLLOW_68_in_ifStat2780`
`static org.antlr.runtime.BitSet` `FOLLOW_69_in_identifierOrKeyword267`
`static org.antlr.runtime.BitSet` `FOLLOW_69_in_ifExp3833`
`static org.antlr.runtime.BitSet` `FOLLOW_69_in_ifStat2845`
`static org.antlr.runtime.BitSet` `FOLLOW_69_in_synpred1322845`
`static org.antlr.runtime.BitSet` `FOLLOW_70_in_forStat2938`
`static org.antlr.runtime.BitSet` `FOLLOW_70_in_identifierOrKeyword272`
`static org.antlr.runtime.BitSet` `FOLLOW_71_in_identifierOrKeyword277`
`static org.antlr.runtime.BitSet` `FOLLOW_71_in_iterateExp3224`
`static org.antlr.runtime.BitSet` `FOLLOW_72_in_identifierOrKeyword282`
`static org.antlr.runtime.BitSet` `FOLLOW_72_in_oclUndefinedExp3541`
`static org.antlr.runtime.BitSet` `FOLLOW_73_in_booleanExp3662`
`static org.antlr.runtime.BitSet` `FOLLOW_73_in_identifierOrKeyword287`
`static org.antlr.runtime.BitSet` `FOLLOW_74_in_booleanExp3669`
`static org.antlr.runtime.BitSet` `FOLLOW_74_in_identifierOrKeyword292`
`static org.antlr.runtime.BitSet` `FOLLOW_75_in_identifierOrKeyword297`
`static org.antlr.runtime.BitSet` `FOLLOW_75_in_ifExp3821`
`static org.antlr.runtime.BitSet` `FOLLOW_76_in_identifierOrKeyword302`
`static org.antlr.runtime.BitSet` `FOLLOW_76_in_ifExp3845`
`static org.antlr.runtime.BitSet` `FOLLOW_77_in_identifierOrKeyword307`
`static org.antlr.runtime.BitSet` `FOLLOW_77_in_superExp3913`
`static org.antlr.runtime.BitSet` `FOLLOW_78_in_identifierOrKeyword312`
`static org.antlr.runtime.BitSet` `FOLLOW_78_in_letExp3945`
`static org.antlr.runtime.BitSet` `FOLLOW_79_in_bagExp4136`
`static org.antlr.runtime.BitSet` `FOLLOW_79_in_bagType5145`
`static org.antlr.runtime.BitSet` `FOLLOW_79_in_identifierOrKeyword317`
`static org.antlr.runtime.BitSet` `FOLLOW_80_in_identifierOrKeyword322`
`static org.antlr.runtime.BitSet` `FOLLOW_80_in_setExp4198`
`static org.antlr.runtime.BitSet` `FOLLOW_80_in_setType5187`
`static org.antlr.runtime.BitSet` `FOLLOW_81_in_identifierOrKeyword327`
`static org.antlr.runtime.BitSet` `FOLLOW_81_in_orderedSetExp4260`
`static org.antlr.runtime.BitSet` `FOLLOW_81_in_orderedSetType5229`
`static org.antlr.runtime.BitSet` `FOLLOW_82_in_identifierOrKeyword332`
`static org.antlr.runtime.BitSet` `FOLLOW_82_in_sequenceExp4322`
`static org.antlr.runtime.BitSet` `FOLLOW_82_in_sequenceType5271`
`static org.antlr.runtime.BitSet` `FOLLOW_83_in_identifierOrKeyword337`
`static org.antlr.runtime.BitSet` `FOLLOW_83_in_mapExp4384`
`static org.antlr.runtime.BitSet` `FOLLOW_83_in_mapType4824`
`static org.antlr.runtime.BitSet` `FOLLOW_84_in_identifierOrKeyword342`
`static org.antlr.runtime.BitSet` `FOLLOW_84_in_tupleExp4494`
`static org.antlr.runtime.BitSet` `FOLLOW_85_in_identifierOrKeyword347`
`static org.antlr.runtime.BitSet` `FOLLOW_85_in_oclType_abstractContents6144`
`static org.antlr.runtime.BitSet` `FOLLOW_86_in_identifierOrKeyword352`
`static org.antlr.runtime.BitSet` `FOLLOW_86_in_oclAnyType4686`
`static org.antlr.runtime.BitSet` `FOLLOW_87_in_identifierOrKeyword357`
`static org.antlr.runtime.BitSet` `FOLLOW_87_in_tupleType4718`
`static org.antlr.runtime.BitSet` `FOLLOW_88_in_identifierOrKeyword362`
`static org.antlr.runtime.BitSet` `FOLLOW_88_in_integerType4961`
`static org.antlr.runtime.BitSet` `FOLLOW_89_in_identifierOrKeyword367`
`static org.antlr.runtime.BitSet` `FOLLOW_89_in_realType4993`
`static org.antlr.runtime.BitSet` `FOLLOW_90_in_booleanType5025`
`static org.antlr.runtime.BitSet` `FOLLOW_90_in_identifierOrKeyword372`
`static org.antlr.runtime.BitSet` `FOLLOW_91_in_identifierOrKeyword377`
`static org.antlr.runtime.BitSet` `FOLLOW_91_in_stringType5057`
`static org.antlr.runtime.BitSet` `FOLLOW_92_in_collectionType_abstractContents6176`
`static org.antlr.runtime.BitSet` `FOLLOW_92_in_identifierOrKeyword382`
`static org.antlr.runtime.BitSet` `FOLLOW_93_in_identifierOrKeyword387`
`static org.antlr.runtime.BitSet` `FOLLOW_93_in_priority_15403`
`static org.antlr.runtime.BitSet` `FOLLOW_94_in_identifierOrKeyword392`
`static org.antlr.runtime.BitSet` `FOLLOW_94_in_priority_25525`
`static org.antlr.runtime.BitSet` `FOLLOW_95_in_identifierOrKeyword397`
`static org.antlr.runtime.BitSet` `FOLLOW_95_in_priority_25545`
`static org.antlr.runtime.BitSet` `FOLLOW_96_in_identifierOrKeyword402`
`static org.antlr.runtime.BitSet` `FOLLOW_96_in_priority_55839`
`static org.antlr.runtime.BitSet` `FOLLOW_97_in_identifierOrKeyword407`
`static org.antlr.runtime.BitSet` `FOLLOW_97_in_priority_55859`
`static org.antlr.runtime.BitSet` `FOLLOW_98_in_identifierOrKeyword412`
`static org.antlr.runtime.BitSet` `FOLLOW_98_in_priority_55879`
`static org.antlr.runtime.BitSet` `FOLLOW_99_in_identifierOrKeyword417`
`static org.antlr.runtime.BitSet` `FOLLOW_99_in_priority_55899`
`static org.antlr.runtime.BitSet` `FOLLOW_actionBlock_in_calledRule1852`
`static org.antlr.runtime.BitSet` `FOLLOW_actionBlock_in_lazyMatchedRule1614`
`static org.antlr.runtime.BitSet` `FOLLOW_actionBlock_in_matchedRule_abstractContents6096`
`static org.antlr.runtime.BitSet` `FOLLOW_ASSIGNARROW_in_binding2521`
`static org.antlr.runtime.BitSet` `FOLLOW_ASSIGNARROW_in_bindingStat2691`
`static org.antlr.runtime.BitSet` `FOLLOW_attribute_in_oclFeature1165`
`static org.antlr.runtime.BitSet` `FOLLOW_bagExp_in_collectionExp4088`
`static org.antlr.runtime.BitSet` `FOLLOW_bagType_in_collectionType5092`
`static org.antlr.runtime.BitSet` `FOLLOW_binding_in_forEachOutPatternElement2447`
`static org.antlr.runtime.BitSet` `FOLLOW_binding_in_forEachOutPatternElement2459`
`static org.antlr.runtime.BitSet` `FOLLOW_binding_in_simpleOutPatternElement2315`
`static org.antlr.runtime.BitSet` `FOLLOW_binding_in_simpleOutPatternElement2327`
`static org.antlr.runtime.BitSet` `FOLLOW_bindingStat_in_statement2645`
`static org.antlr.runtime.BitSet` `FOLLOW_bindingStat_in_synpred1242645`
`static org.antlr.runtime.BitSet` `FOLLOW_booleanExp_in_primitiveExp3581`
`static org.antlr.runtime.BitSet` `FOLLOW_booleanType_in_primitive4882`
`static org.antlr.runtime.BitSet` `FOLLOW_calledRule_in_rule1387`
`static org.antlr.runtime.BitSet` `FOLLOW_collectionExp_in_primary_oclExpression6261`
`static org.antlr.runtime.BitSet` `FOLLOW_collectionOperationCallExp_in_priority_05363`
`static org.antlr.runtime.BitSet` `FOLLOW_collectionType_abstractContents_in_collectionType5112`
`static org.antlr.runtime.BitSet` `FOLLOW_collectionType_in_oclType4648`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_attribute1334`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_forEachOutPatternElement2387`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_oclFeatureDefinition1081`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_oclModel3024`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_operation1234`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_parameter1290`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_ruleVariableDeclaration1668`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_simpleInPatternElement2027`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_simpleOutPatternElement2213`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_tuplePart4564`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_tupleTypeAttribute4786`
`static org.antlr.runtime.BitSet` `FOLLOW_COLON_in_variableDeclaration4001`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_bagExp4151`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_calledRule1765`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_collectionOperationCallExp3325`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_forEachOutPatternElement2454`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_inPattern1915`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_iterateExp3239`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_iteratorExp3165`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_mapElement4454`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_mapExp4399`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_mapType4834`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_module622`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_module662`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_operation1217`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_operationCallExp3392`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_orderedSetExp4275`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_outPattern2120`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_sequenceExp4337`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_setExp4213`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_simpleInPatternElement2050`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_simpleOutPatternElement2278`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_simpleOutPatternElement2322`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_tupleExp4509`
`static org.antlr.runtime.BitSet` `FOLLOW_COMA_in_tupleType4733`
`static org.antlr.runtime.BitSet` `FOLLOW_enumLiteralExp_in_primary_oclExpression6256`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_main64`
`static org.antlr.runtime.BitSet` `FOLLOW_EQ_in_attribute1342`
`static org.antlr.runtime.BitSet` `FOLLOW_EQ_in_operation1242`
`static org.antlr.runtime.BitSet` `FOLLOW_EQ_in_priority_45681`
`static org.antlr.runtime.BitSet` `FOLLOW_EQ_in_query852`
`static org.antlr.runtime.BitSet` `FOLLOW_EQ_in_ruleVariableDeclaration1676`
`static org.antlr.runtime.BitSet` `FOLLOW_EQ_in_tuplePart4582`
`static org.antlr.runtime.BitSet` `FOLLOW_EQ_in_variableDeclaration4009`
`static org.antlr.runtime.BitSet` `FOLLOW_EXCL_in_oclModelElement3068`
`static org.antlr.runtime.BitSet` `FOLLOW_expressionStat_in_statement2640`
`static org.antlr.runtime.BitSet` `FOLLOW_expressionStat_in_synpred1232640`
`static org.antlr.runtime.BitSet` `FOLLOW_FLOAT_in_floatSymbol520`
`static org.antlr.runtime.BitSet` `FOLLOW_floatSymbol_in_realExp3743`
`static org.antlr.runtime.BitSet` `FOLLOW_forEachOutPatternElement_in_outPatternElement2174`
`static org.antlr.runtime.BitSet` `FOLLOW_forStat_in_statement2650`
`static org.antlr.runtime.BitSet` `FOLLOW_GE_in_priority_45741`
`static org.antlr.runtime.BitSet` `FOLLOW_GT_in_priority_45701`
`static org.antlr.runtime.BitSet` `FOLLOW_helper_in_library794`
`static org.antlr.runtime.BitSet` `FOLLOW_helper_in_library802`
`static org.antlr.runtime.BitSet` `FOLLOW_helper_in_moduleElement983`
`static org.antlr.runtime.BitSet` `FOLLOW_helper_in_query890`
`static org.antlr.runtime.BitSet` `FOLLOW_helper_in_query898`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_attribute1330`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_calledRule1748`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_collectionOperationCallExp3308`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_enumLiteralExp4051`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_forEachOutPatternElement2383`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_forEachOutPatternElement2423`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_iterator3507`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_iteratorExp3148`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_lazyMatchedRule1514`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_lazyMatchedRule1524`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_library760`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_libraryRef944`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_matchedRule_abstractContents5996`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_matchedRule_abstractContents6006`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_module603`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_oclModel3020`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_oclModel3028`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_oclModelElement3064`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_oclModelElement3072`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_operation1200`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_parameter1286`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_query848`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_ruleVariableDeclaration1664`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_simpleInPatternElement2023`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_simpleInPatternElement2043`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_simpleInPatternElement2055`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_simpleOutPatternElement2209`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_simpleOutPatternElement2227`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_simpleOutPatternElement2247`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_tupleTypeAttribute4782`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_variableDeclaration3997`
`static org.antlr.runtime.BitSet` `FOLLOW_identifier_in_variableExp3879`
`static org.antlr.runtime.BitSet` `FOLLOW_identifierOrKeyword_in_binding2515`
`static org.antlr.runtime.BitSet` `FOLLOW_identifierOrKeyword_in_navigationOrAttributeCallExp3442`
`static org.antlr.runtime.BitSet` `FOLLOW_identifierOrKeyword_in_operationCallExp3375`
`static org.antlr.runtime.BitSet` `FOLLOW_identifierOrKeyword_in_tuplePart4558`
`static org.antlr.runtime.BitSet` `FOLLOW_ifExp_in_primary_oclExpression6246`
`static org.antlr.runtime.BitSet` `FOLLOW_ifStat_in_statement2635`
`static org.antlr.runtime.BitSet` `FOLLOW_ifStat_in_synpred1222635`
`static org.antlr.runtime.BitSet` `FOLLOW_inPattern_in_lazyMatchedRule1544`
`static org.antlr.runtime.BitSet` `FOLLOW_inPattern_in_matchedRule_abstractContents6026`
`static org.antlr.runtime.BitSet` `FOLLOW_inPatternElement_in_inPattern1908`
`static org.antlr.runtime.BitSet` `FOLLOW_inPatternElement_in_inPattern1920`
`static org.antlr.runtime.BitSet` `FOLLOW_INT_in_integerSymbol486`
`static org.antlr.runtime.BitSet` `FOLLOW_integerExp_in_numericExp3622`
`static org.antlr.runtime.BitSet` `FOLLOW_integerSymbol_in_integerExp3707`
`static org.antlr.runtime.BitSet` `FOLLOW_integerType_in_numericType4923`
`static org.antlr.runtime.BitSet` `FOLLOW_iterateExp_in_priority_05356`
`static org.antlr.runtime.BitSet` `FOLLOW_iterator_in_forEachOutPatternElement2403`
`static org.antlr.runtime.BitSet` `FOLLOW_iterator_in_forStat2944`
`static org.antlr.runtime.BitSet` `FOLLOW_iterator_in_iterateExp3232`
`static org.antlr.runtime.BitSet` `FOLLOW_iterator_in_iterateExp3244`
`static org.antlr.runtime.BitSet` `FOLLOW_iterator_in_iteratorExp3158`
`static org.antlr.runtime.BitSet` `FOLLOW_iterator_in_iteratorExp3170`
`static org.antlr.runtime.BitSet` `FOLLOW_iteratorExp_in_priority_05349`
`static org.antlr.runtime.BitSet` `FOLLOW_LARROW_in_binding2528`
`static org.antlr.runtime.BitSet` `FOLLOW_LARROW_in_bindingStat2698`
`static org.antlr.runtime.BitSet` `FOLLOW_lazyMatchedRule_in_matchedRule1428`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_actionBlock2572`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_bagExp4138`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_calledRule1782`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_calledRule1790`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_forStat2958`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_ifStat2809`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_ifStat2864`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_lazyMatchedRule1538`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_lazyMatchedRule1552`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_mapExp4386`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_matchedRule_abstractContents6020`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_matchedRule_abstractContents6034`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_orderedSetExp4262`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_sequenceExp4324`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_setExp4200`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_synpred1322864`
`static org.antlr.runtime.BitSet` `FOLLOW_LCURLY_in_tupleExp4496`
`static org.antlr.runtime.BitSet` `FOLLOW_LE_in_priority_45761`
`static org.antlr.runtime.BitSet` `FOLLOW_letExp_in_oclExpression3113`
`static org.antlr.runtime.BitSet` `FOLLOW_library_in_unit561`
`static org.antlr.runtime.BitSet` `FOLLOW_libraryRef_in_library772`
`static org.antlr.runtime.BitSet` `FOLLOW_libraryRef_in_library780`
`static org.antlr.runtime.BitSet` `FOLLOW_libraryRef_in_module684`
`static org.antlr.runtime.BitSet` `FOLLOW_libraryRef_in_module692`
`static org.antlr.runtime.BitSet` `FOLLOW_libraryRef_in_query868`
`static org.antlr.runtime.BitSet` `FOLLOW_libraryRef_in_query876`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_bagType5147`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_calledRule1752`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_collectionOperationCallExp3312`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_collectionType_abstractContents6178`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_forEachOutPatternElement2399`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_forEachOutPatternElement2439`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_forStat2940`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_ifStat2782`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_inPattern1931`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_iterateExp3226`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_iteratorExp3152`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_mapElement4446`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_mapType4826`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_operation1204`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_operationCallExp3379`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_orderedSetType5231`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_primary_oclExpression6219`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_sequenceType5273`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_setType5189`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_simpleOutPatternElement2265`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_simpleOutPatternElement2307`
`static org.antlr.runtime.BitSet` `FOLLOW_LPAREN_in_tupleType4720`
`static org.antlr.runtime.BitSet` `FOLLOW_LT_in_priority_45721`
`static org.antlr.runtime.BitSet` `FOLLOW_mapElement_in_mapExp4392`
`static org.antlr.runtime.BitSet` `FOLLOW_mapElement_in_mapExp4404`
`static org.antlr.runtime.BitSet` `FOLLOW_mapExp_in_primary_oclExpression6266`
`static org.antlr.runtime.BitSet` `FOLLOW_mapType_in_oclType4638`
`static org.antlr.runtime.BitSet` `FOLLOW_matchedRule_abstractContents_in_matchedRule1433`
`static org.antlr.runtime.BitSet` `FOLLOW_matchedRule_in_rule1392`
`static org.antlr.runtime.BitSet` `FOLLOW_MINUS_in_priority_15423`
`static org.antlr.runtime.BitSet` `FOLLOW_MINUS_in_priority_35623`
`static org.antlr.runtime.BitSet` `FOLLOW_module_in_unit556`
`static org.antlr.runtime.BitSet` `FOLLOW_moduleElement_in_module706`
`static org.antlr.runtime.BitSet` `FOLLOW_moduleElement_in_module714`
`static org.antlr.runtime.BitSet` `FOLLOW_NAME_in_identifier97`
`static org.antlr.runtime.BitSet` `FOLLOW_NAME_in_identifierOrKeyword132`
`static org.antlr.runtime.BitSet` `FOLLOW_navigationOrAttributeCallExp_in_priority_05334`
`static org.antlr.runtime.BitSet` `FOLLOW_NE_in_priority_45781`
`static org.antlr.runtime.BitSet` `FOLLOW_numericExp_in_primitiveExp3576`
`static org.antlr.runtime.BitSet` `FOLLOW_numericType_in_primitive4877`
`static org.antlr.runtime.BitSet` `FOLLOW_oclAnyType_in_oclType4628`
`static org.antlr.runtime.BitSet` `FOLLOW_oclContextDefinition_in_oclFeatureDefinition1065`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_attribute1348`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_bagExp4144`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_bagExp4156`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_binding2536`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_bindingStat2685`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_bindingStat2706`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_collectionOperationCallExp3318`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_collectionOperationCallExp3330`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_expressionStat2744`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_forEachOutPatternElement2411`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_forStat2952`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_ifExp3817`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_ifExp3827`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_ifExp3839`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_ifStat2786`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_inPattern1937`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_iterateExp3267`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_iteratorExp3185`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_letExp3959`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_mapElement4450`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_mapElement4458`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_operation1248`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_operationCallExp3385`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_operationCallExp3397`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_orderedSetExp4268`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_orderedSetExp4280`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_primary_oclExpression6223`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_query856`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_ruleVariableDeclaration1680`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_sequenceExp4330`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_sequenceExp4342`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_setExp4206`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_setExp4218`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_simpleOutPatternElement2271`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_simpleOutPatternElement2283`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_tuplePart4586`
`static org.antlr.runtime.BitSet` `FOLLOW_oclExpression_in_variableDeclaration4013`
`static org.antlr.runtime.BitSet` `FOLLOW_oclFeature_in_oclFeatureDefinition1085`
`static org.antlr.runtime.BitSet` `FOLLOW_oclFeatureDefinition_in_helper1025`
`static org.antlr.runtime.BitSet` `FOLLOW_oclModel_in_module615`
`static org.antlr.runtime.BitSet` `FOLLOW_oclModel_in_module627`
`static org.antlr.runtime.BitSet` `FOLLOW_oclModel_in_module655`
`static org.antlr.runtime.BitSet` `FOLLOW_oclModel_in_module667`
`static org.antlr.runtime.BitSet` `FOLLOW_oclModelElement_in_oclType4623`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_abstractContents_in_oclType4653`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_attribute1338`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_bagType5151`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_collectionType_abstractContents6182`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_forEachOutPatternElement2393`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_mapType4830`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_mapType4838`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_oclContextDefinition1123`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_operation1238`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_orderedSetType5235`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_parameter1294`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_primary_oclExpression6276`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_ruleVariableDeclaration1672`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_sequenceType5277`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_setType5193`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_simpleInPatternElement2031`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_simpleOutPatternElement2217`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_tuplePart4568`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_tupleTypeAttribute4790`
`static org.antlr.runtime.BitSet` `FOLLOW_oclType_in_variableDeclaration4005`
`static org.antlr.runtime.BitSet` `FOLLOW_oclUndefinedExp_in_primary_oclExpression6236`
`static org.antlr.runtime.BitSet` `FOLLOW_operation_in_oclFeature1160`
`static org.antlr.runtime.BitSet` `FOLLOW_operationCallExp_in_priority_05327`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_15410`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_15430`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_25492`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_25512`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_25532`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_25552`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_35610`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_35630`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_45688`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_45708`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_45728`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_45748`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_45768`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_45788`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_55846`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_55866`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_55886`
`static org.antlr.runtime.BitSet` `FOLLOW_operatorCallExp_in_priority_55906`
`static org.antlr.runtime.BitSet` `FOLLOW_orderedSetExp_in_collectionExp4098`
`static org.antlr.runtime.BitSet` `FOLLOW_orderedSetType_in_collectionType5102`
`static org.antlr.runtime.BitSet` `FOLLOW_outPattern_in_calledRule1834`
`static org.antlr.runtime.BitSet` `FOLLOW_outPattern_in_lazyMatchedRule1596`
`static org.antlr.runtime.BitSet` `FOLLOW_outPattern_in_matchedRule_abstractContents6078`
`static org.antlr.runtime.BitSet` `FOLLOW_outPatternElement_in_outPattern2113`
`static org.antlr.runtime.BitSet` `FOLLOW_outPatternElement_in_outPattern2125`
`static org.antlr.runtime.BitSet` `FOLLOW_parameter_in_calledRule1758`
`static org.antlr.runtime.BitSet` `FOLLOW_parameter_in_calledRule1770`
`static org.antlr.runtime.BitSet` `FOLLOW_parameter_in_operation1210`
`static org.antlr.runtime.BitSet` `FOLLOW_parameter_in_operation1222`
`static org.antlr.runtime.BitSet` `FOLLOW_PIPE_in_iterateExp3261`
`static org.antlr.runtime.BitSet` `FOLLOW_PIPE_in_iteratorExp3179`
`static org.antlr.runtime.BitSet` `FOLLOW_PLUS_in_priority_35603`
`static org.antlr.runtime.BitSet` `FOLLOW_POINT_in_priority_05320`
`static org.antlr.runtime.BitSet` `FOLLOW_primary_oclExpression_in_priority_05315`
`static org.antlr.runtime.BitSet` `FOLLOW_primitive_in_oclType4643`
`static org.antlr.runtime.BitSet` `FOLLOW_primitiveExp_in_primary_oclExpression6241`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_0_in_priority_15415`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_0_in_priority_15435`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_0_in_priority_15445`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_1_in_priority_25480`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_1_in_priority_25497`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_1_in_priority_25517`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_1_in_priority_25537`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_1_in_priority_25557`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_2_in_priority_35598`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_2_in_priority_35615`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_2_in_priority_35635`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_3_in_priority_45676`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_3_in_priority_45693`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_3_in_priority_45713`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_3_in_priority_45733`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_3_in_priority_45753`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_3_in_priority_45773`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_3_in_priority_45793`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_4_in_priority_55834`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_4_in_priority_55851`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_4_in_priority_55871`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_4_in_priority_55891`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_4_in_priority_55911`
`static org.antlr.runtime.BitSet` `FOLLOW_priority_5_in_oclExpression3108`
`static org.antlr.runtime.BitSet` `FOLLOW_query_in_unit566`
`static org.antlr.runtime.BitSet` `FOLLOW_RARROW_in_priority_05342`
`static org.antlr.runtime.BitSet` `FOLLOW_RARROW_in_simpleOutPatternElement2263`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_actionBlock2600`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_bagExp4166`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_calledRule1818`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_calledRule1868`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_forStat2986`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_ifStat2837`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_ifStat2892`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_lazyMatchedRule1580`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_lazyMatchedRule1630`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_mapExp4414`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_matchedRule_abstractContents6062`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_matchedRule_abstractContents6112`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_orderedSetExp4290`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_sequenceExp4352`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_setExp4228`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_synpred1322892`
`static org.antlr.runtime.BitSet` `FOLLOW_RCURLY_in_tupleExp4524`
`static org.antlr.runtime.BitSet` `FOLLOW_realExp_in_numericExp3627`
`static org.antlr.runtime.BitSet` `FOLLOW_realType_in_numericType4928`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_bagType5155`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_calledRule1780`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_collectionOperationCallExp3340`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_collectionType_abstractContents6186`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_forEachOutPatternElement2415`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_forEachOutPatternElement2471`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_forStat2956`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_ifStat2790`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_inPattern1943`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_iterateExp3273`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_iteratorExp3191`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_mapElement4462`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_mapType4842`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_operation1232`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_operationCallExp3407`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_orderedSetType5239`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_primary_oclExpression6225`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_sequenceType5281`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_setType5197`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_simpleOutPatternElement2293`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_simpleOutPatternElement2339`
`static org.antlr.runtime.BitSet` `FOLLOW_RPAREN_in_tupleType4748`
`static org.antlr.runtime.BitSet` `FOLLOW_rule_in_moduleElement988`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleVariableDeclaration_in_calledRule1798`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleVariableDeclaration_in_calledRule1806`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1560`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1568`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6042`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6050`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_bindingStat2710`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_expressionStat2748`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_helper1029`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_iterateExp3253`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_library764`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_libraryRef948`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_module607`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_module676`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_query860`
`static org.antlr.runtime.BitSet` `FOLLOW_SEMI_in_ruleVariableDeclaration1684`
`static org.antlr.runtime.BitSet` `FOLLOW_sequenceExp_in_collectionExp4103`
`static org.antlr.runtime.BitSet` `FOLLOW_sequenceType_in_collectionType5107`
`static org.antlr.runtime.BitSet` `FOLLOW_setExp_in_collectionExp4093`
`static org.antlr.runtime.BitSet` `FOLLOW_setType_in_collectionType5097`
`static org.antlr.runtime.BitSet` `FOLLOW_SHARP_in_enumLiteralExp4047`
`static org.antlr.runtime.BitSet` `FOLLOW_simpleInPatternElement_in_inPatternElement1989`
`static org.antlr.runtime.BitSet` `FOLLOW_simpleOutPatternElement_in_outPatternElement2169`
`static org.antlr.runtime.BitSet` `FOLLOW_SLASH_in_priority_25505`
`static org.antlr.runtime.BitSet` `FOLLOW_STAR_in_priority_25485`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_actionBlock2580`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_actionBlock2588`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_forStat2966`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_forStat2974`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_ifStat2798`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_ifStat2817`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_ifStat2825`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_ifStat2853`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_ifStat2872`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_ifStat2880`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_synpred1322853`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_synpred1322872`
`static org.antlr.runtime.BitSet` `FOLLOW_statement_in_synpred1322880`
`static org.antlr.runtime.BitSet` `FOLLOW_STRING_in_stringSymbol452`
`static org.antlr.runtime.BitSet` `FOLLOW_stringExp_in_primitiveExp3586`
`static org.antlr.runtime.BitSet` `FOLLOW_stringSymbol_in_stringExp3779`
`static org.antlr.runtime.BitSet` `FOLLOW_stringType_in_primitive4887`
`static org.antlr.runtime.BitSet` `FOLLOW_superExp_in_primary_oclExpression6251`
`static org.antlr.runtime.BitSet` `FOLLOW_tupleExp_in_primary_oclExpression6271`
`static org.antlr.runtime.BitSet` `FOLLOW_tuplePart_in_tupleExp4502`
`static org.antlr.runtime.BitSet` `FOLLOW_tuplePart_in_tupleExp4514`
`static org.antlr.runtime.BitSet` `FOLLOW_tupleType_in_oclType4633`
`static org.antlr.runtime.BitSet` `FOLLOW_tupleTypeAttribute_in_tupleType4726`
`static org.antlr.runtime.BitSet` `FOLLOW_tupleTypeAttribute_in_tupleType4738`
`static org.antlr.runtime.BitSet` `FOLLOW_unit_in_main61`
`static org.antlr.runtime.BitSet` `FOLLOW_variableDeclaration_in_iterateExp3257`
`static org.antlr.runtime.BitSet` `FOLLOW_variableDeclaration_in_letExp3949`
`static org.antlr.runtime.BitSet` `FOLLOW_variableExp_in_primary_oclExpression6231`
`static int` `GE`
`static int` `GT`
`static int` `INT`
`static int` `LARROW`
`static int` `LCURLY`
`static int` `LE`
`static int` `LPAREN`
`static int` `LSQUARE`
`static int` `LT`
`static int` `MINUS`
`static int` `NAME`
`static int` `NE`
`static int` `NL`
`static int` `PIPE`
`static int` `PLUS`
`static int` `POINT`
`static int` `QMARK`
`static int` `RARROW`
`static int` `RCURLY`
`static int` `RPAREN`
`static int` `RSQUARE`
`static int` `SEMI`
`static int` `SHARP`
`static int` `SLASH`
`static int` `SNAME`
`static int` `STAR`
`static int` `STRING`
`static java.lang.String[]` `tokenNames`
`static int` `WS`

Fields inherited from class org.antlr.runtime.Parser
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`_fsp, backtracking, DEFAULT_TOKEN_CHANNEL, errorRecovery, failed, following, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, lastErrorIndex, MEMO_RULE_FAILED, MEMO_RULE_FAILED_I, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, ruleMemo`

Constructor Summary
`ATL_ANTLR3Parser(org.antlr.runtime.TokenStream input)`

Method Summary
`java.lang.Object` `actionBlock()`
`java.lang.Object` `attribute()`
`java.lang.Object` `bagExp()`
`java.lang.Object` `bagType()`
`java.lang.Object` `binding()`
`java.lang.Object` `bindingStat()`
`java.lang.Object` `booleanExp()`
`java.lang.Object` `booleanType()`
`java.lang.Object` `calledRule()`
`java.lang.Object` `collectionExp()`
`java.lang.Object` `collectionOperationCallExp(java.lang.String opName, java.lang.Object left, org.antlr.runtime.Token firstToken)`
`java.lang.Object` `collectionType_abstractContents()`
`java.lang.Object` `collectionType()`
`void` `displayRecognitionError(java.lang.String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`java.lang.Object` `enumLiteralExp()`
`java.lang.Object` `expressionStat()`
`java.lang.Object` `floatSymbol()`
`java.lang.Object` `forEachOutPatternElement()`
`java.lang.Object` `forStat()`
`java.lang.String` `getGrammarFileName()`
`java.lang.String[]` `getTokenNames()`
`java.lang.Object` `helper()`
`java.lang.Object` `identifier()`
`java.lang.Object` `identifierOrKeyword()`
`java.lang.Object` `ifExp()`
`java.lang.Object` `ifStat()`
`java.lang.Object` `inPattern()`
`java.lang.Object` `inPatternElement()`
`java.lang.Object` `integerExp()`
`java.lang.Object` `integerSymbol()`
`java.lang.Object` `integerType()`
`java.lang.Object` `iterateExp(java.lang.String opName, java.lang.Object left, org.antlr.runtime.Token firstToken)`
`java.lang.Object` `iterator()`
`java.lang.Object` `iteratorExp(java.lang.String opName, java.lang.Object left, org.antlr.runtime.Token firstToken)`
`java.lang.Object` `lazyMatchedRule()`
`java.lang.Object` `letExp()`
`java.lang.Object` `library()`
`java.lang.Object` `libraryRef()`
`java.lang.Object` `main()`
`static void` `main(java.lang.String[] args)`
`java.lang.Object` `mapElement()`
`java.lang.Object` `mapExp()`
`java.lang.Object` `mapType()`
`java.lang.Object` `matchedRule_abstractContents()`
`java.lang.Object` `matchedRule()`
`java.lang.Object` `module()`
`java.lang.Object` `moduleElement()`
`java.lang.Object` `navigationOrAttributeCallExp(java.lang.String opName, java.lang.Object left, org.antlr.runtime.Token firstToken)`
`java.lang.Object` `numericExp()`
`java.lang.Object` `numericType()`
`java.lang.Object` `oclAnyType()`
`java.lang.Object` `oclContextDefinition()`
`java.lang.Object` `oclExpression()`
`java.lang.Object` `oclFeature()`
`java.lang.Object` `oclFeatureDefinition()`
`java.lang.Object` `oclModel()`
`java.lang.Object` `oclModelElement()`
`java.lang.Object` `oclType_abstractContents()`
`java.lang.Object` `oclType()`
`java.lang.Object` `oclUndefinedExp()`
`java.lang.Object` `operation()`
`java.lang.Object` `operationCallExp(java.lang.String opName, java.lang.Object left, org.antlr.runtime.Token firstToken)`
`java.lang.Object` `operatorCallExp(java.lang.String opName, java.lang.Object left, org.antlr.runtime.Token firstToken)`
`java.lang.Object` `orderedSetExp()`
`java.lang.Object` `orderedSetType()`
`java.lang.Object` `outPattern()`
`java.lang.Object` `outPatternElement()`
`java.lang.Object` `parameter()`
`java.lang.Object` `primary_oclExpression()`
`java.lang.Object` `primitive()`
`java.lang.Object` `primitiveExp()`
`java.lang.Object` `priority_0()`
`java.lang.Object` `priority_1()`
`java.lang.Object` `priority_2()`
`java.lang.Object` `priority_3()`
`java.lang.Object` `priority_4()`
`java.lang.Object` `priority_5()`
`java.lang.Object` `query()`
`java.lang.Object` `realExp()`
`java.lang.Object` `realType()`
`java.lang.Object` `rule()`
`java.lang.Object` `ruleVariableDeclaration()`
`java.lang.Object` `sequenceExp()`
`java.lang.Object` `sequenceType()`
`java.lang.Object` `setExp()`
`java.lang.Object` `setType()`
`java.lang.Object` `simpleInPatternElement()`
`java.lang.Object` `simpleOutPatternElement()`
`java.lang.Object` `statement()`
`java.lang.Object` `stringExp()`
`java.lang.Object` `stringSymbol()`
`java.lang.Object` `stringType()`
`java.lang.Object` `superExp()`
`void` `synpred122_fragment()`
`boolean` `synpred122()`
`void` `synpred123_fragment()`
`boolean` `synpred123()`
`void` `synpred124_fragment()`
`boolean` `synpred124()`
`void` `synpred132_fragment()`
`boolean` `synpred132()`
`java.lang.Object` `tupleExp()`
`java.lang.Object` `tuplePart()`
`java.lang.Object` `tupleType()`
`java.lang.Object` `tupleTypeAttribute()`
`java.lang.Object` `unit()`
`java.lang.Object` `variableDeclaration()`
`java.lang.Object` `variableExp()`

Methods inherited from class org.antlr.runtime.Parser
`getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer

`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, getBacktrackingLevel, getErrorHeader, getErrorMessage, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatch, pushFollow, recover, recoverFromMismatchedElement, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final java.lang.String[] tokenNames

### GE

    public static final int GE

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### STAR

    public static final int STAR

See Also:
  Constant Field Values

### ASSIGNARROW

    public static final int ASSIGNARROW

See Also:
  Constant Field Values

### LSQUARE

    public static final int LSQUARE

See Also:
  Constant Field Values

### SHARP

    public static final int SHARP

See Also:
  Constant Field Values

### POINT

    public static final int POINT

See Also:
  Constant Field Values

### AROBAS

    public static final int AROBAS

See Also:
  Constant Field Values

### ESC

    public static final int ESC

See Also:
  Constant Field Values

### RARROW

    public static final int RARROW

See Also:
  Constant Field Values

### LARROW

    public static final int LARROW

See Also:
  Constant Field Values

### LCURLY

    public static final int LCURLY

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### EXCL

    public static final int EXCL

See Also:
  Constant Field Values

### RSQUARE

    public static final int RSQUARE

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### COMA

    public static final int COMA

See Also:
  Constant Field Values

### SEMI

    public static final int SEMI

See Also:
  Constant Field Values

### ALPHA

    public static final int ALPHA

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### SLASH

    public static final int SLASH

See Also:
  Constant Field Values

### SNAME

    public static final int SNAME

See Also:
  Constant Field Values

### RCURLY

    public static final int RCURLY

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### PIPE

    public static final int PIPE

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### NL

    public static final int NL

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### QMARK

    public static final int QMARK

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### ei

    public TCSRuntime ei

### dfa107

    protected org.eclipse.m2m.atl.dsls.tcs.injector.ATL_ANTLR3Parser.DFA107 dfa107

### FOLLOW_unit_in_main61

    public static final org.antlr.runtime.BitSet FOLLOW_unit_in_main61

### FOLLOW_EOF_in_main64

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_main64

### FOLLOW_NAME_in_identifier97

    public static final org.antlr.runtime.BitSet FOLLOW_NAME_in_identifier97

### FOLLOW_NAME_in_identifierOrKeyword132

    public static final org.antlr.runtime.BitSet FOLLOW_NAME_in_identifierOrKeyword132

### FOLLOW_43_in_identifierOrKeyword137

    public static final org.antlr.runtime.BitSet FOLLOW_43_in_identifierOrKeyword137

### FOLLOW_44_in_identifierOrKeyword142

    public static final org.antlr.runtime.BitSet FOLLOW_44_in_identifierOrKeyword142

### FOLLOW_45_in_identifierOrKeyword147

    public static final org.antlr.runtime.BitSet FOLLOW_45_in_identifierOrKeyword147

### FOLLOW_46_in_identifierOrKeyword152

    public static final org.antlr.runtime.BitSet FOLLOW_46_in_identifierOrKeyword152

### FOLLOW_47_in_identifierOrKeyword157

    public static final org.antlr.runtime.BitSet FOLLOW_47_in_identifierOrKeyword157

### FOLLOW_48_in_identifierOrKeyword162

    public static final org.antlr.runtime.BitSet FOLLOW_48_in_identifierOrKeyword162

### FOLLOW_49_in_identifierOrKeyword167

    public static final org.antlr.runtime.BitSet FOLLOW_49_in_identifierOrKeyword167

### FOLLOW_50_in_identifierOrKeyword172

    public static final org.antlr.runtime.BitSet FOLLOW_50_in_identifierOrKeyword172

### FOLLOW_51_in_identifierOrKeyword177

    public static final org.antlr.runtime.BitSet FOLLOW_51_in_identifierOrKeyword177

### FOLLOW_52_in_identifierOrKeyword182

    public static final org.antlr.runtime.BitSet FOLLOW_52_in_identifierOrKeyword182

### FOLLOW_53_in_identifierOrKeyword187

    public static final org.antlr.runtime.BitSet FOLLOW_53_in_identifierOrKeyword187

### FOLLOW_54_in_identifierOrKeyword192

    public static final org.antlr.runtime.BitSet FOLLOW_54_in_identifierOrKeyword192

### FOLLOW_55_in_identifierOrKeyword197

    public static final org.antlr.runtime.BitSet FOLLOW_55_in_identifierOrKeyword197

### FOLLOW_56_in_identifierOrKeyword202

    public static final org.antlr.runtime.BitSet FOLLOW_56_in_identifierOrKeyword202

### FOLLOW_57_in_identifierOrKeyword207

    public static final org.antlr.runtime.BitSet FOLLOW_57_in_identifierOrKeyword207

### FOLLOW_58_in_identifierOrKeyword212

    public static final org.antlr.runtime.BitSet FOLLOW_58_in_identifierOrKeyword212

### FOLLOW_59_in_identifierOrKeyword217

    public static final org.antlr.runtime.BitSet FOLLOW_59_in_identifierOrKeyword217

### FOLLOW_60_in_identifierOrKeyword222

    public static final org.antlr.runtime.BitSet FOLLOW_60_in_identifierOrKeyword222

### FOLLOW_61_in_identifierOrKeyword227

    public static final org.antlr.runtime.BitSet FOLLOW_61_in_identifierOrKeyword227

### FOLLOW_62_in_identifierOrKeyword232

    public static final org.antlr.runtime.BitSet FOLLOW_62_in_identifierOrKeyword232

### FOLLOW_63_in_identifierOrKeyword237

    public static final org.antlr.runtime.BitSet FOLLOW_63_in_identifierOrKeyword237

### FOLLOW_64_in_identifierOrKeyword242

    public static final org.antlr.runtime.BitSet FOLLOW_64_in_identifierOrKeyword242

### FOLLOW_65_in_identifierOrKeyword247

    public static final org.antlr.runtime.BitSet FOLLOW_65_in_identifierOrKeyword247

### FOLLOW_66_in_identifierOrKeyword252

    public static final org.antlr.runtime.BitSet FOLLOW_66_in_identifierOrKeyword252

### FOLLOW_67_in_identifierOrKeyword257

    public static final org.antlr.runtime.BitSet FOLLOW_67_in_identifierOrKeyword257

### FOLLOW_68_in_identifierOrKeyword262

    public static final org.antlr.runtime.BitSet FOLLOW_68_in_identifierOrKeyword262

### FOLLOW_69_in_identifierOrKeyword267

    public static final org.antlr.runtime.BitSet FOLLOW_69_in_identifierOrKeyword267

### FOLLOW_70_in_identifierOrKeyword272

    public static final org.antlr.runtime.BitSet FOLLOW_70_in_identifierOrKeyword272

### FOLLOW_71_in_identifierOrKeyword277

    public static final org.antlr.runtime.BitSet FOLLOW_71_in_identifierOrKeyword277

### FOLLOW_72_in_identifierOrKeyword282

    public static final org.antlr.runtime.BitSet FOLLOW_72_in_identifierOrKeyword282

### FOLLOW_73_in_identifierOrKeyword287

    public static final org.antlr.runtime.BitSet FOLLOW_73_in_identifierOrKeyword287

### FOLLOW_74_in_identifierOrKeyword292

    public static final org.antlr.runtime.BitSet FOLLOW_74_in_identifierOrKeyword292

### FOLLOW_75_in_identifierOrKeyword297

    public static final org.antlr.runtime.BitSet FOLLOW_75_in_identifierOrKeyword297

### FOLLOW_76_in_identifierOrKeyword302

    public static final org.antlr.runtime.BitSet FOLLOW_76_in_identifierOrKeyword302

### FOLLOW_77_in_identifierOrKeyword307

    public static final org.antlr.runtime.BitSet FOLLOW_77_in_identifierOrKeyword307

### FOLLOW_78_in_identifierOrKeyword312

    public static final org.antlr.runtime.BitSet FOLLOW_78_in_identifierOrKeyword312

### FOLLOW_79_in_identifierOrKeyword317

    public static final org.antlr.runtime.BitSet FOLLOW_79_in_identifierOrKeyword317

### FOLLOW_80_in_identifierOrKeyword322

    public static final org.antlr.runtime.BitSet FOLLOW_80_in_identifierOrKeyword322

### FOLLOW_81_in_identifierOrKeyword327

    public static final org.antlr.runtime.BitSet FOLLOW_81_in_identifierOrKeyword327

### FOLLOW_82_in_identifierOrKeyword332

    public static final org.antlr.runtime.BitSet FOLLOW_82_in_identifierOrKeyword332

### FOLLOW_83_in_identifierOrKeyword337

    public static final org.antlr.runtime.BitSet FOLLOW_83_in_identifierOrKeyword337

### FOLLOW_84_in_identifierOrKeyword342

    public static final org.antlr.runtime.BitSet FOLLOW_84_in_identifierOrKeyword342

### FOLLOW_85_in_identifierOrKeyword347

    public static final org.antlr.runtime.BitSet FOLLOW_85_in_identifierOrKeyword347

### FOLLOW_86_in_identifierOrKeyword352

    public static final org.antlr.runtime.BitSet FOLLOW_86_in_identifierOrKeyword352

### FOLLOW_87_in_identifierOrKeyword357

    public static final org.antlr.runtime.BitSet FOLLOW_87_in_identifierOrKeyword357

### FOLLOW_88_in_identifierOrKeyword362

    public static final org.antlr.runtime.BitSet FOLLOW_88_in_identifierOrKeyword362

### FOLLOW_89_in_identifierOrKeyword367

    public static final org.antlr.runtime.BitSet FOLLOW_89_in_identifierOrKeyword367

### FOLLOW_90_in_identifierOrKeyword372

    public static final org.antlr.runtime.BitSet FOLLOW_90_in_identifierOrKeyword372

### FOLLOW_91_in_identifierOrKeyword377

    public static final org.antlr.runtime.BitSet FOLLOW_91_in_identifierOrKeyword377

### FOLLOW_92_in_identifierOrKeyword382

    public static final org.antlr.runtime.BitSet FOLLOW_92_in_identifierOrKeyword382

### FOLLOW_93_in_identifierOrKeyword387

    public static final org.antlr.runtime.BitSet FOLLOW_93_in_identifierOrKeyword387

### FOLLOW_94_in_identifierOrKeyword392

    public static final org.antlr.runtime.BitSet FOLLOW_94_in_identifierOrKeyword392

### FOLLOW_95_in_identifierOrKeyword397

    public static final org.antlr.runtime.BitSet FOLLOW_95_in_identifierOrKeyword397

### FOLLOW_96_in_identifierOrKeyword402

    public static final org.antlr.runtime.BitSet FOLLOW_96_in_identifierOrKeyword402

### FOLLOW_97_in_identifierOrKeyword407

    public static final org.antlr.runtime.BitSet FOLLOW_97_in_identifierOrKeyword407

### FOLLOW_98_in_identifierOrKeyword412

    public static final org.antlr.runtime.BitSet FOLLOW_98_in_identifierOrKeyword412

### FOLLOW_99_in_identifierOrKeyword417

    public static final org.antlr.runtime.BitSet FOLLOW_99_in_identifierOrKeyword417

### FOLLOW_STRING_in_stringSymbol452

    public static final org.antlr.runtime.BitSet FOLLOW_STRING_in_stringSymbol452

### FOLLOW_INT_in_integerSymbol486

    public static final org.antlr.runtime.BitSet FOLLOW_INT_in_integerSymbol486

### FOLLOW_FLOAT_in_floatSymbol520

    public static final org.antlr.runtime.BitSet FOLLOW_FLOAT_in_floatSymbol520

### FOLLOW_module_in_unit556

    public static final org.antlr.runtime.BitSet FOLLOW_module_in_unit556

### FOLLOW_library_in_unit561

    public static final org.antlr.runtime.BitSet FOLLOW_library_in_unit561

### FOLLOW_query_in_unit566

    public static final org.antlr.runtime.BitSet FOLLOW_query_in_unit566

### FOLLOW_43_in_module599

    public static final org.antlr.runtime.BitSet FOLLOW_43_in_module599

### FOLLOW_identifier_in_module603

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_module603

### FOLLOW_SEMI_in_module607

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_module607

### FOLLOW_44_in_module609

    public static final org.antlr.runtime.BitSet FOLLOW_44_in_module609

### FOLLOW_oclModel_in_module615

    public static final org.antlr.runtime.BitSet FOLLOW_oclModel_in_module615

### FOLLOW_COMA_in_module622

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_module622

### FOLLOW_oclModel_in_module627

    public static final org.antlr.runtime.BitSet FOLLOW_oclModel_in_module627

### FOLLOW_45_in_module638

    public static final org.antlr.runtime.BitSet FOLLOW_45_in_module638

### FOLLOW_46_in_module645

    public static final org.antlr.runtime.BitSet FOLLOW_46_in_module645

### FOLLOW_oclModel_in_module655

    public static final org.antlr.runtime.BitSet FOLLOW_oclModel_in_module655

### FOLLOW_COMA_in_module662

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_module662

### FOLLOW_oclModel_in_module667

    public static final org.antlr.runtime.BitSet FOLLOW_oclModel_in_module667

### FOLLOW_SEMI_in_module676

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_module676

### FOLLOW_libraryRef_in_module684

    public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_module684

### FOLLOW_libraryRef_in_module692

    public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_module692

### FOLLOW_moduleElement_in_module706

    public static final org.antlr.runtime.BitSet FOLLOW_moduleElement_in_module706

### FOLLOW_moduleElement_in_module714

    public static final org.antlr.runtime.BitSet FOLLOW_moduleElement_in_module714

### FOLLOW_47_in_library756

    public static final org.antlr.runtime.BitSet FOLLOW_47_in_library756

### FOLLOW_identifier_in_library760

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_library760

### FOLLOW_SEMI_in_library764

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_library764

### FOLLOW_libraryRef_in_library772

    public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_library772

### FOLLOW_libraryRef_in_library780

    public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_library780

### FOLLOW_helper_in_library794

    public static final org.antlr.runtime.BitSet FOLLOW_helper_in_library794

### FOLLOW_helper_in_library802

    public static final org.antlr.runtime.BitSet FOLLOW_helper_in_library802

### FOLLOW_48_in_query844

    public static final org.antlr.runtime.BitSet FOLLOW_48_in_query844

### FOLLOW_identifier_in_query848

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_query848

### FOLLOW_EQ_in_query852

    public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_query852

### FOLLOW_oclExpression_in_query856

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_query856

### FOLLOW_SEMI_in_query860

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_query860

### FOLLOW_libraryRef_in_query868

    public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_query868

### FOLLOW_libraryRef_in_query876

    public static final org.antlr.runtime.BitSet FOLLOW_libraryRef_in_query876

### FOLLOW_helper_in_query890

    public static final org.antlr.runtime.BitSet FOLLOW_helper_in_query890

### FOLLOW_helper_in_query898

    public static final org.antlr.runtime.BitSet FOLLOW_helper_in_query898

### FOLLOW_49_in_libraryRef940

    public static final org.antlr.runtime.BitSet FOLLOW_49_in_libraryRef940

### FOLLOW_identifier_in_libraryRef944

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_libraryRef944

### FOLLOW_SEMI_in_libraryRef948

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_libraryRef948

### FOLLOW_helper_in_moduleElement983

    public static final org.antlr.runtime.BitSet FOLLOW_helper_in_moduleElement983

### FOLLOW_rule_in_moduleElement988

    public static final org.antlr.runtime.BitSet FOLLOW_rule_in_moduleElement988

### FOLLOW_50_in_helper1021

    public static final org.antlr.runtime.BitSet FOLLOW_50_in_helper1021

### FOLLOW_oclFeatureDefinition_in_helper1025

    public static final org.antlr.runtime.BitSet FOLLOW_oclFeatureDefinition_in_helper1025

### FOLLOW_SEMI_in_helper1029

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_helper1029

### FOLLOW_oclContextDefinition_in_oclFeatureDefinition1065

    public static final org.antlr.runtime.BitSet FOLLOW_oclContextDefinition_in_oclFeatureDefinition1065

### FOLLOW_51_in_oclFeatureDefinition1079

    public static final org.antlr.runtime.BitSet FOLLOW_51_in_oclFeatureDefinition1079

### FOLLOW_COLON_in_oclFeatureDefinition1081

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_oclFeatureDefinition1081

### FOLLOW_oclFeature_in_oclFeatureDefinition1085

    public static final org.antlr.runtime.BitSet FOLLOW_oclFeature_in_oclFeatureDefinition1085

### FOLLOW_52_in_oclContextDefinition1119

    public static final org.antlr.runtime.BitSet FOLLOW_52_in_oclContextDefinition1119

### FOLLOW_oclType_in_oclContextDefinition1123

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_oclContextDefinition1123

### FOLLOW_operation_in_oclFeature1160

    public static final org.antlr.runtime.BitSet FOLLOW_operation_in_oclFeature1160

### FOLLOW_attribute_in_oclFeature1165

    public static final org.antlr.runtime.BitSet FOLLOW_attribute_in_oclFeature1165

### FOLLOW_identifier_in_operation1200

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_operation1200

### FOLLOW_LPAREN_in_operation1204

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_operation1204

### FOLLOW_parameter_in_operation1210

    public static final org.antlr.runtime.BitSet FOLLOW_parameter_in_operation1210

### FOLLOW_COMA_in_operation1217

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_operation1217

### FOLLOW_parameter_in_operation1222

    public static final org.antlr.runtime.BitSet FOLLOW_parameter_in_operation1222

### FOLLOW_RPAREN_in_operation1232

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_operation1232

### FOLLOW_COLON_in_operation1234

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_operation1234

### FOLLOW_oclType_in_operation1238

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_operation1238

### FOLLOW_EQ_in_operation1242

    public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_operation1242

### FOLLOW_oclExpression_in_operation1248

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_operation1248

### FOLLOW_identifier_in_parameter1286

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_parameter1286

### FOLLOW_COLON_in_parameter1290

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_parameter1290

### FOLLOW_oclType_in_parameter1294

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_parameter1294

### FOLLOW_identifier_in_attribute1330

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_attribute1330

### FOLLOW_COLON_in_attribute1334

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_attribute1334

### FOLLOW_oclType_in_attribute1338

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_attribute1338

### FOLLOW_EQ_in_attribute1342

    public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_attribute1342

### FOLLOW_oclExpression_in_attribute1348

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_attribute1348

### FOLLOW_calledRule_in_rule1387

    public static final org.antlr.runtime.BitSet FOLLOW_calledRule_in_rule1387

### FOLLOW_matchedRule_in_rule1392

    public static final org.antlr.runtime.BitSet FOLLOW_matchedRule_in_rule1392

### FOLLOW_lazyMatchedRule_in_matchedRule1428

    public static final org.antlr.runtime.BitSet FOLLOW_lazyMatchedRule_in_matchedRule1428

### FOLLOW_matchedRule_abstractContents_in_matchedRule1433

    public static final org.antlr.runtime.BitSet FOLLOW_matchedRule_abstractContents_in_matchedRule1433

### FOLLOW_58_in_lazyMatchedRule1468

    public static final org.antlr.runtime.BitSet FOLLOW_58_in_lazyMatchedRule1468

### FOLLOW_59_in_lazyMatchedRule1480

    public static final org.antlr.runtime.BitSet FOLLOW_59_in_lazyMatchedRule1480

### FOLLOW_54_in_lazyMatchedRule1484

    public static final org.antlr.runtime.BitSet FOLLOW_54_in_lazyMatchedRule1484

### FOLLOW_45_in_lazyMatchedRule1498

    public static final org.antlr.runtime.BitSet FOLLOW_45_in_lazyMatchedRule1498

### FOLLOW_55_in_lazyMatchedRule1510

    public static final org.antlr.runtime.BitSet FOLLOW_55_in_lazyMatchedRule1510

### FOLLOW_identifier_in_lazyMatchedRule1514

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_lazyMatchedRule1514

### FOLLOW_56_in_lazyMatchedRule1520

    public static final org.antlr.runtime.BitSet FOLLOW_56_in_lazyMatchedRule1520

### FOLLOW_identifier_in_lazyMatchedRule1524

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_lazyMatchedRule1524

### FOLLOW_LCURLY_in_lazyMatchedRule1538

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_lazyMatchedRule1538

### FOLLOW_inPattern_in_lazyMatchedRule1544

    public static final org.antlr.runtime.BitSet FOLLOW_inPattern_in_lazyMatchedRule1544

### FOLLOW_57_in_lazyMatchedRule1550

    public static final org.antlr.runtime.BitSet FOLLOW_57_in_lazyMatchedRule1550

### FOLLOW_LCURLY_in_lazyMatchedRule1552

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_lazyMatchedRule1552

### FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1560

    public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1560

### FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1568

    public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_lazyMatchedRule1568

### FOLLOW_RCURLY_in_lazyMatchedRule1580

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_lazyMatchedRule1580

### FOLLOW_outPattern_in_lazyMatchedRule1596

    public static final org.antlr.runtime.BitSet FOLLOW_outPattern_in_lazyMatchedRule1596

### FOLLOW_actionBlock_in_lazyMatchedRule1614

    public static final org.antlr.runtime.BitSet FOLLOW_actionBlock_in_lazyMatchedRule1614

### FOLLOW_RCURLY_in_lazyMatchedRule1630

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_lazyMatchedRule1630

### FOLLOW_identifier_in_ruleVariableDeclaration1664

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_ruleVariableDeclaration1664

### FOLLOW_COLON_in_ruleVariableDeclaration1668

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_ruleVariableDeclaration1668

### FOLLOW_oclType_in_ruleVariableDeclaration1672

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_ruleVariableDeclaration1672

### FOLLOW_EQ_in_ruleVariableDeclaration1676

    public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_ruleVariableDeclaration1676

### FOLLOW_oclExpression_in_ruleVariableDeclaration1680

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ruleVariableDeclaration1680

### FOLLOW_SEMI_in_ruleVariableDeclaration1684

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_ruleVariableDeclaration1684

### FOLLOW_60_in_calledRule1718

    public static final org.antlr.runtime.BitSet FOLLOW_60_in_calledRule1718

### FOLLOW_61_in_calledRule1732

    public static final org.antlr.runtime.BitSet FOLLOW_61_in_calledRule1732

### FOLLOW_55_in_calledRule1744

    public static final org.antlr.runtime.BitSet FOLLOW_55_in_calledRule1744

### FOLLOW_identifier_in_calledRule1748

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_calledRule1748

### FOLLOW_LPAREN_in_calledRule1752

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_calledRule1752

### FOLLOW_parameter_in_calledRule1758

    public static final org.antlr.runtime.BitSet FOLLOW_parameter_in_calledRule1758

### FOLLOW_COMA_in_calledRule1765

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_calledRule1765

### FOLLOW_parameter_in_calledRule1770

    public static final org.antlr.runtime.BitSet FOLLOW_parameter_in_calledRule1770

### FOLLOW_RPAREN_in_calledRule1780

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_calledRule1780

### FOLLOW_LCURLY_in_calledRule1782

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_calledRule1782

### FOLLOW_57_in_calledRule1788

    public static final org.antlr.runtime.BitSet FOLLOW_57_in_calledRule1788

### FOLLOW_LCURLY_in_calledRule1790

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_calledRule1790

### FOLLOW_ruleVariableDeclaration_in_calledRule1798

    public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_calledRule1798

### FOLLOW_ruleVariableDeclaration_in_calledRule1806

    public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_calledRule1806

### FOLLOW_RCURLY_in_calledRule1818

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_calledRule1818

### FOLLOW_outPattern_in_calledRule1834

    public static final org.antlr.runtime.BitSet FOLLOW_outPattern_in_calledRule1834

### FOLLOW_actionBlock_in_calledRule1852

    public static final org.antlr.runtime.BitSet FOLLOW_actionBlock_in_calledRule1852

### FOLLOW_RCURLY_in_calledRule1868

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_calledRule1868

### FOLLOW_46_in_inPattern1900

    public static final org.antlr.runtime.BitSet FOLLOW_46_in_inPattern1900

### FOLLOW_inPatternElement_in_inPattern1908

    public static final org.antlr.runtime.BitSet FOLLOW_inPatternElement_in_inPattern1908

### FOLLOW_COMA_in_inPattern1915

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_inPattern1915

### FOLLOW_inPatternElement_in_inPattern1920

    public static final org.antlr.runtime.BitSet FOLLOW_inPatternElement_in_inPattern1920

### FOLLOW_LPAREN_in_inPattern1931

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_inPattern1931

### FOLLOW_oclExpression_in_inPattern1937

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_inPattern1937

### FOLLOW_RPAREN_in_inPattern1943

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_inPattern1943

### FOLLOW_simpleInPatternElement_in_inPatternElement1989

    public static final org.antlr.runtime.BitSet FOLLOW_simpleInPatternElement_in_inPatternElement1989

### FOLLOW_identifier_in_simpleInPatternElement2023

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleInPatternElement2023

### FOLLOW_COLON_in_simpleInPatternElement2027

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_simpleInPatternElement2027

### FOLLOW_oclType_in_simpleInPatternElement2031

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_simpleInPatternElement2031

### FOLLOW_62_in_simpleInPatternElement2037

    public static final org.antlr.runtime.BitSet FOLLOW_62_in_simpleInPatternElement2037

### FOLLOW_identifier_in_simpleInPatternElement2043

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleInPatternElement2043

### FOLLOW_COMA_in_simpleInPatternElement2050

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_simpleInPatternElement2050

### FOLLOW_identifier_in_simpleInPatternElement2055

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleInPatternElement2055

### FOLLOW_63_in_outPattern2105

    public static final org.antlr.runtime.BitSet FOLLOW_63_in_outPattern2105

### FOLLOW_outPatternElement_in_outPattern2113

    public static final org.antlr.runtime.BitSet FOLLOW_outPatternElement_in_outPattern2113

### FOLLOW_COMA_in_outPattern2120

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_outPattern2120

### FOLLOW_outPatternElement_in_outPattern2125

    public static final org.antlr.runtime.BitSet FOLLOW_outPatternElement_in_outPattern2125

### FOLLOW_simpleOutPatternElement_in_outPatternElement2169

    public static final org.antlr.runtime.BitSet FOLLOW_simpleOutPatternElement_in_outPatternElement2169

### FOLLOW_forEachOutPatternElement_in_outPatternElement2174

    public static final org.antlr.runtime.BitSet FOLLOW_forEachOutPatternElement_in_outPatternElement2174

### FOLLOW_identifier_in_simpleOutPatternElement2209

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleOutPatternElement2209

### FOLLOW_COLON_in_simpleOutPatternElement2213

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_simpleOutPatternElement2213

### FOLLOW_oclType_in_simpleOutPatternElement2217

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_simpleOutPatternElement2217

### FOLLOW_62_in_simpleOutPatternElement2223

    public static final org.antlr.runtime.BitSet FOLLOW_62_in_simpleOutPatternElement2223

### FOLLOW_identifier_in_simpleOutPatternElement2227

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleOutPatternElement2227

### FOLLOW_64_in_simpleOutPatternElement2243

    public static final org.antlr.runtime.BitSet FOLLOW_64_in_simpleOutPatternElement2243

### FOLLOW_identifier_in_simpleOutPatternElement2247

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_simpleOutPatternElement2247

### FOLLOW_RARROW_in_simpleOutPatternElement2263

    public static final org.antlr.runtime.BitSet FOLLOW_RARROW_in_simpleOutPatternElement2263

### FOLLOW_LPAREN_in_simpleOutPatternElement2265

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_simpleOutPatternElement2265

### FOLLOW_oclExpression_in_simpleOutPatternElement2271

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_simpleOutPatternElement2271

### FOLLOW_COMA_in_simpleOutPatternElement2278

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_simpleOutPatternElement2278

### FOLLOW_oclExpression_in_simpleOutPatternElement2283

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_simpleOutPatternElement2283

### FOLLOW_RPAREN_in_simpleOutPatternElement2293

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_simpleOutPatternElement2293

### FOLLOW_LPAREN_in_simpleOutPatternElement2307

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_simpleOutPatternElement2307

### FOLLOW_binding_in_simpleOutPatternElement2315

    public static final org.antlr.runtime.BitSet FOLLOW_binding_in_simpleOutPatternElement2315

### FOLLOW_COMA_in_simpleOutPatternElement2322

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_simpleOutPatternElement2322

### FOLLOW_binding_in_simpleOutPatternElement2327

    public static final org.antlr.runtime.BitSet FOLLOW_binding_in_simpleOutPatternElement2327

### FOLLOW_RPAREN_in_simpleOutPatternElement2339

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_simpleOutPatternElement2339

### FOLLOW_identifier_in_forEachOutPatternElement2383

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_forEachOutPatternElement2383

### FOLLOW_COLON_in_forEachOutPatternElement2387

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_forEachOutPatternElement2387

### FOLLOW_65_in_forEachOutPatternElement2389

    public static final org.antlr.runtime.BitSet FOLLOW_65_in_forEachOutPatternElement2389

### FOLLOW_oclType_in_forEachOutPatternElement2393

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_forEachOutPatternElement2393

### FOLLOW_66_in_forEachOutPatternElement2397

    public static final org.antlr.runtime.BitSet FOLLOW_66_in_forEachOutPatternElement2397

### FOLLOW_LPAREN_in_forEachOutPatternElement2399

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_forEachOutPatternElement2399

### FOLLOW_iterator_in_forEachOutPatternElement2403

    public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_forEachOutPatternElement2403

### FOLLOW_62_in_forEachOutPatternElement2407

    public static final org.antlr.runtime.BitSet FOLLOW_62_in_forEachOutPatternElement2407

### FOLLOW_oclExpression_in_forEachOutPatternElement2411

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_forEachOutPatternElement2411

### FOLLOW_RPAREN_in_forEachOutPatternElement2415

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_forEachOutPatternElement2415

### FOLLOW_64_in_forEachOutPatternElement2419

    public static final org.antlr.runtime.BitSet FOLLOW_64_in_forEachOutPatternElement2419

### FOLLOW_identifier_in_forEachOutPatternElement2423

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_forEachOutPatternElement2423

### FOLLOW_LPAREN_in_forEachOutPatternElement2439

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_forEachOutPatternElement2439

### FOLLOW_binding_in_forEachOutPatternElement2447

    public static final org.antlr.runtime.BitSet FOLLOW_binding_in_forEachOutPatternElement2447

### FOLLOW_COMA_in_forEachOutPatternElement2454

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_forEachOutPatternElement2454

### FOLLOW_binding_in_forEachOutPatternElement2459

    public static final org.antlr.runtime.BitSet FOLLOW_binding_in_forEachOutPatternElement2459

### FOLLOW_RPAREN_in_forEachOutPatternElement2471

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_forEachOutPatternElement2471

### FOLLOW_identifierOrKeyword_in_binding2515

    public static final org.antlr.runtime.BitSet FOLLOW_identifierOrKeyword_in_binding2515

### FOLLOW_ASSIGNARROW_in_binding2521

    public static final org.antlr.runtime.BitSet FOLLOW_ASSIGNARROW_in_binding2521

### FOLLOW_LARROW_in_binding2528

    public static final org.antlr.runtime.BitSet FOLLOW_LARROW_in_binding2528

### FOLLOW_oclExpression_in_binding2536

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_binding2536

### FOLLOW_67_in_actionBlock2570

    public static final org.antlr.runtime.BitSet FOLLOW_67_in_actionBlock2570

### FOLLOW_LCURLY_in_actionBlock2572

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_actionBlock2572

### FOLLOW_statement_in_actionBlock2580

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_actionBlock2580

### FOLLOW_statement_in_actionBlock2588

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_actionBlock2588

### FOLLOW_RCURLY_in_actionBlock2600

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_actionBlock2600

### FOLLOW_ifStat_in_statement2635

    public static final org.antlr.runtime.BitSet FOLLOW_ifStat_in_statement2635

### FOLLOW_expressionStat_in_statement2640

    public static final org.antlr.runtime.BitSet FOLLOW_expressionStat_in_statement2640

### FOLLOW_bindingStat_in_statement2645

    public static final org.antlr.runtime.BitSet FOLLOW_bindingStat_in_statement2645

### FOLLOW_forStat_in_statement2650

    public static final org.antlr.runtime.BitSet FOLLOW_forStat_in_statement2650

### FOLLOW_oclExpression_in_bindingStat2685

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_bindingStat2685

### FOLLOW_ASSIGNARROW_in_bindingStat2691

    public static final org.antlr.runtime.BitSet FOLLOW_ASSIGNARROW_in_bindingStat2691

### FOLLOW_LARROW_in_bindingStat2698

    public static final org.antlr.runtime.BitSet FOLLOW_LARROW_in_bindingStat2698

### FOLLOW_oclExpression_in_bindingStat2706

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_bindingStat2706

### FOLLOW_SEMI_in_bindingStat2710

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_bindingStat2710

### FOLLOW_oclExpression_in_expressionStat2744

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_expressionStat2744

### FOLLOW_SEMI_in_expressionStat2748

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_expressionStat2748

### FOLLOW_68_in_ifStat2780

    public static final org.antlr.runtime.BitSet FOLLOW_68_in_ifStat2780

### FOLLOW_LPAREN_in_ifStat2782

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_ifStat2782

### FOLLOW_oclExpression_in_ifStat2786

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ifStat2786

### FOLLOW_RPAREN_in_ifStat2790

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_ifStat2790

### FOLLOW_statement_in_ifStat2798

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2798

### FOLLOW_LCURLY_in_ifStat2809

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_ifStat2809

### FOLLOW_statement_in_ifStat2817

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2817

### FOLLOW_statement_in_ifStat2825

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2825

### FOLLOW_RCURLY_in_ifStat2837

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_ifStat2837

### FOLLOW_69_in_ifStat2845

    public static final org.antlr.runtime.BitSet FOLLOW_69_in_ifStat2845

### FOLLOW_statement_in_ifStat2853

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2853

### FOLLOW_LCURLY_in_ifStat2864

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_ifStat2864

### FOLLOW_statement_in_ifStat2872

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2872

### FOLLOW_statement_in_ifStat2880

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_ifStat2880

### FOLLOW_RCURLY_in_ifStat2892

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_ifStat2892

### FOLLOW_70_in_forStat2938

    public static final org.antlr.runtime.BitSet FOLLOW_70_in_forStat2938

### FOLLOW_LPAREN_in_forStat2940

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_forStat2940

### FOLLOW_iterator_in_forStat2944

    public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_forStat2944

### FOLLOW_62_in_forStat2948

    public static final org.antlr.runtime.BitSet FOLLOW_62_in_forStat2948

### FOLLOW_oclExpression_in_forStat2952

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_forStat2952

### FOLLOW_RPAREN_in_forStat2956

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_forStat2956

### FOLLOW_LCURLY_in_forStat2958

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_forStat2958

### FOLLOW_statement_in_forStat2966

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_forStat2966

### FOLLOW_statement_in_forStat2974

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_forStat2974

### FOLLOW_RCURLY_in_forStat2986

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_forStat2986

### FOLLOW_identifier_in_oclModel3020

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_oclModel3020

### FOLLOW_COLON_in_oclModel3024

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_oclModel3024

### FOLLOW_identifier_in_oclModel3028

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_oclModel3028

### FOLLOW_identifier_in_oclModelElement3064

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_oclModelElement3064

### FOLLOW_EXCL_in_oclModelElement3068

    public static final org.antlr.runtime.BitSet FOLLOW_EXCL_in_oclModelElement3068

### FOLLOW_identifier_in_oclModelElement3072

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_oclModelElement3072

### FOLLOW_priority_5_in_oclExpression3108

    public static final org.antlr.runtime.BitSet FOLLOW_priority_5_in_oclExpression3108

### FOLLOW_letExp_in_oclExpression3113

    public static final org.antlr.runtime.BitSet FOLLOW_letExp_in_oclExpression3113

### FOLLOW_identifier_in_iteratorExp3148

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_iteratorExp3148

### FOLLOW_LPAREN_in_iteratorExp3152

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_iteratorExp3152

### FOLLOW_iterator_in_iteratorExp3158

    public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_iteratorExp3158

### FOLLOW_COMA_in_iteratorExp3165

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_iteratorExp3165

### FOLLOW_iterator_in_iteratorExp3170

    public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_iteratorExp3170

### FOLLOW_PIPE_in_iteratorExp3179

    public static final org.antlr.runtime.BitSet FOLLOW_PIPE_in_iteratorExp3179

### FOLLOW_oclExpression_in_iteratorExp3185

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_iteratorExp3185

### FOLLOW_RPAREN_in_iteratorExp3191

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_iteratorExp3191

### FOLLOW_71_in_iterateExp3224

    public static final org.antlr.runtime.BitSet FOLLOW_71_in_iterateExp3224

### FOLLOW_LPAREN_in_iterateExp3226

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_iterateExp3226

### FOLLOW_iterator_in_iterateExp3232

    public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_iterateExp3232

### FOLLOW_COMA_in_iterateExp3239

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_iterateExp3239

### FOLLOW_iterator_in_iterateExp3244

    public static final org.antlr.runtime.BitSet FOLLOW_iterator_in_iterateExp3244

### FOLLOW_SEMI_in_iterateExp3253

    public static final org.antlr.runtime.BitSet FOLLOW_SEMI_in_iterateExp3253

### FOLLOW_variableDeclaration_in_iterateExp3257

    public static final org.antlr.runtime.BitSet FOLLOW_variableDeclaration_in_iterateExp3257

### FOLLOW_PIPE_in_iterateExp3261

    public static final org.antlr.runtime.BitSet FOLLOW_PIPE_in_iterateExp3261

### FOLLOW_oclExpression_in_iterateExp3267

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_iterateExp3267

### FOLLOW_RPAREN_in_iterateExp3273

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_iterateExp3273

### FOLLOW_identifier_in_collectionOperationCallExp3308

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_collectionOperationCallExp3308

### FOLLOW_LPAREN_in_collectionOperationCallExp3312

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_collectionOperationCallExp3312

### FOLLOW_oclExpression_in_collectionOperationCallExp3318

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_collectionOperationCallExp3318

### FOLLOW_COMA_in_collectionOperationCallExp3325

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_collectionOperationCallExp3325

### FOLLOW_oclExpression_in_collectionOperationCallExp3330

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_collectionOperationCallExp3330

### FOLLOW_RPAREN_in_collectionOperationCallExp3340

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_collectionOperationCallExp3340

### FOLLOW_identifierOrKeyword_in_operationCallExp3375

    public static final org.antlr.runtime.BitSet FOLLOW_identifierOrKeyword_in_operationCallExp3375

### FOLLOW_LPAREN_in_operationCallExp3379

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_operationCallExp3379

### FOLLOW_oclExpression_in_operationCallExp3385

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_operationCallExp3385

### FOLLOW_COMA_in_operationCallExp3392

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_operationCallExp3392

### FOLLOW_oclExpression_in_operationCallExp3397

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_operationCallExp3397

### FOLLOW_RPAREN_in_operationCallExp3407

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_operationCallExp3407

### FOLLOW_identifierOrKeyword_in_navigationOrAttributeCallExp3442

    public static final org.antlr.runtime.BitSet FOLLOW_identifierOrKeyword_in_navigationOrAttributeCallExp3442

### FOLLOW_identifier_in_iterator3507

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_iterator3507

### FOLLOW_72_in_oclUndefinedExp3541

    public static final org.antlr.runtime.BitSet FOLLOW_72_in_oclUndefinedExp3541

### FOLLOW_numericExp_in_primitiveExp3576

    public static final org.antlr.runtime.BitSet FOLLOW_numericExp_in_primitiveExp3576

### FOLLOW_booleanExp_in_primitiveExp3581

    public static final org.antlr.runtime.BitSet FOLLOW_booleanExp_in_primitiveExp3581

### FOLLOW_stringExp_in_primitiveExp3586

    public static final org.antlr.runtime.BitSet FOLLOW_stringExp_in_primitiveExp3586

### FOLLOW_integerExp_in_numericExp3622

    public static final org.antlr.runtime.BitSet FOLLOW_integerExp_in_numericExp3622

### FOLLOW_realExp_in_numericExp3627

    public static final org.antlr.runtime.BitSet FOLLOW_realExp_in_numericExp3627

### FOLLOW_73_in_booleanExp3662

    public static final org.antlr.runtime.BitSet FOLLOW_73_in_booleanExp3662

### FOLLOW_74_in_booleanExp3669

    public static final org.antlr.runtime.BitSet FOLLOW_74_in_booleanExp3669

### FOLLOW_integerSymbol_in_integerExp3707

    public static final org.antlr.runtime.BitSet FOLLOW_integerSymbol_in_integerExp3707

### FOLLOW_floatSymbol_in_realExp3743

    public static final org.antlr.runtime.BitSet FOLLOW_floatSymbol_in_realExp3743

### FOLLOW_stringSymbol_in_stringExp3779

    public static final org.antlr.runtime.BitSet FOLLOW_stringSymbol_in_stringExp3779

### FOLLOW_68_in_ifExp3813

    public static final org.antlr.runtime.BitSet FOLLOW_68_in_ifExp3813

### FOLLOW_oclExpression_in_ifExp3817

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ifExp3817

### FOLLOW_75_in_ifExp3821

    public static final org.antlr.runtime.BitSet FOLLOW_75_in_ifExp3821

### FOLLOW_oclExpression_in_ifExp3827

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ifExp3827

### FOLLOW_69_in_ifExp3833

    public static final org.antlr.runtime.BitSet FOLLOW_69_in_ifExp3833

### FOLLOW_oclExpression_in_ifExp3839

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_ifExp3839

### FOLLOW_76_in_ifExp3845

    public static final org.antlr.runtime.BitSet FOLLOW_76_in_ifExp3845

### FOLLOW_identifier_in_variableExp3879

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_variableExp3879

### FOLLOW_77_in_superExp3913

    public static final org.antlr.runtime.BitSet FOLLOW_77_in_superExp3913

### FOLLOW_78_in_letExp3945

    public static final org.antlr.runtime.BitSet FOLLOW_78_in_letExp3945

### FOLLOW_variableDeclaration_in_letExp3949

    public static final org.antlr.runtime.BitSet FOLLOW_variableDeclaration_in_letExp3949

### FOLLOW_62_in_letExp3953

    public static final org.antlr.runtime.BitSet FOLLOW_62_in_letExp3953

### FOLLOW_oclExpression_in_letExp3959

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_letExp3959

### FOLLOW_identifier_in_variableDeclaration3997

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_variableDeclaration3997

### FOLLOW_COLON_in_variableDeclaration4001

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_variableDeclaration4001

### FOLLOW_oclType_in_variableDeclaration4005

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_variableDeclaration4005

### FOLLOW_EQ_in_variableDeclaration4009

    public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_variableDeclaration4009

### FOLLOW_oclExpression_in_variableDeclaration4013

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_variableDeclaration4013

### FOLLOW_SHARP_in_enumLiteralExp4047

    public static final org.antlr.runtime.BitSet FOLLOW_SHARP_in_enumLiteralExp4047

### FOLLOW_identifier_in_enumLiteralExp4051

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_enumLiteralExp4051

### FOLLOW_bagExp_in_collectionExp4088

    public static final org.antlr.runtime.BitSet FOLLOW_bagExp_in_collectionExp4088

### FOLLOW_setExp_in_collectionExp4093

    public static final org.antlr.runtime.BitSet FOLLOW_setExp_in_collectionExp4093

### FOLLOW_orderedSetExp_in_collectionExp4098

    public static final org.antlr.runtime.BitSet FOLLOW_orderedSetExp_in_collectionExp4098

### FOLLOW_sequenceExp_in_collectionExp4103

    public static final org.antlr.runtime.BitSet FOLLOW_sequenceExp_in_collectionExp4103

### FOLLOW_79_in_bagExp4136

    public static final org.antlr.runtime.BitSet FOLLOW_79_in_bagExp4136

### FOLLOW_LCURLY_in_bagExp4138

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_bagExp4138

### FOLLOW_oclExpression_in_bagExp4144

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_bagExp4144

### FOLLOW_COMA_in_bagExp4151

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_bagExp4151

### FOLLOW_oclExpression_in_bagExp4156

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_bagExp4156

### FOLLOW_RCURLY_in_bagExp4166

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_bagExp4166

### FOLLOW_80_in_setExp4198

    public static final org.antlr.runtime.BitSet FOLLOW_80_in_setExp4198

### FOLLOW_LCURLY_in_setExp4200

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_setExp4200

### FOLLOW_oclExpression_in_setExp4206

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_setExp4206

### FOLLOW_COMA_in_setExp4213

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_setExp4213

### FOLLOW_oclExpression_in_setExp4218

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_setExp4218

### FOLLOW_RCURLY_in_setExp4228

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_setExp4228

### FOLLOW_81_in_orderedSetExp4260

    public static final org.antlr.runtime.BitSet FOLLOW_81_in_orderedSetExp4260

### FOLLOW_LCURLY_in_orderedSetExp4262

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_orderedSetExp4262

### FOLLOW_oclExpression_in_orderedSetExp4268

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_orderedSetExp4268

### FOLLOW_COMA_in_orderedSetExp4275

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_orderedSetExp4275

### FOLLOW_oclExpression_in_orderedSetExp4280

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_orderedSetExp4280

### FOLLOW_RCURLY_in_orderedSetExp4290

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_orderedSetExp4290

### FOLLOW_82_in_sequenceExp4322

    public static final org.antlr.runtime.BitSet FOLLOW_82_in_sequenceExp4322

### FOLLOW_LCURLY_in_sequenceExp4324

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_sequenceExp4324

### FOLLOW_oclExpression_in_sequenceExp4330

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_sequenceExp4330

### FOLLOW_COMA_in_sequenceExp4337

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_sequenceExp4337

### FOLLOW_oclExpression_in_sequenceExp4342

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_sequenceExp4342

### FOLLOW_RCURLY_in_sequenceExp4352

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_sequenceExp4352

### FOLLOW_83_in_mapExp4384

    public static final org.antlr.runtime.BitSet FOLLOW_83_in_mapExp4384

### FOLLOW_LCURLY_in_mapExp4386

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_mapExp4386

### FOLLOW_mapElement_in_mapExp4392

    public static final org.antlr.runtime.BitSet FOLLOW_mapElement_in_mapExp4392

### FOLLOW_COMA_in_mapExp4399

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_mapExp4399

### FOLLOW_mapElement_in_mapExp4404

    public static final org.antlr.runtime.BitSet FOLLOW_mapElement_in_mapExp4404

### FOLLOW_RCURLY_in_mapExp4414

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_mapExp4414

### FOLLOW_LPAREN_in_mapElement4446

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_mapElement4446

### FOLLOW_oclExpression_in_mapElement4450

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_mapElement4450

### FOLLOW_COMA_in_mapElement4454

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_mapElement4454

### FOLLOW_oclExpression_in_mapElement4458

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_mapElement4458

### FOLLOW_RPAREN_in_mapElement4462

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_mapElement4462

### FOLLOW_84_in_tupleExp4494

    public static final org.antlr.runtime.BitSet FOLLOW_84_in_tupleExp4494

### FOLLOW_LCURLY_in_tupleExp4496

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_tupleExp4496

### FOLLOW_tuplePart_in_tupleExp4502

    public static final org.antlr.runtime.BitSet FOLLOW_tuplePart_in_tupleExp4502

### FOLLOW_COMA_in_tupleExp4509

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_tupleExp4509

### FOLLOW_tuplePart_in_tupleExp4514

    public static final org.antlr.runtime.BitSet FOLLOW_tuplePart_in_tupleExp4514

### FOLLOW_RCURLY_in_tupleExp4524

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_tupleExp4524

### FOLLOW_identifierOrKeyword_in_tuplePart4558

    public static final org.antlr.runtime.BitSet FOLLOW_identifierOrKeyword_in_tuplePart4558

### FOLLOW_COLON_in_tuplePart4564

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_tuplePart4564

### FOLLOW_oclType_in_tuplePart4568

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_tuplePart4568

### FOLLOW_EQ_in_tuplePart4582

    public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_tuplePart4582

### FOLLOW_oclExpression_in_tuplePart4586

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_tuplePart4586

### FOLLOW_oclModelElement_in_oclType4623

    public static final org.antlr.runtime.BitSet FOLLOW_oclModelElement_in_oclType4623

### FOLLOW_oclAnyType_in_oclType4628

    public static final org.antlr.runtime.BitSet FOLLOW_oclAnyType_in_oclType4628

### FOLLOW_tupleType_in_oclType4633

    public static final org.antlr.runtime.BitSet FOLLOW_tupleType_in_oclType4633

### FOLLOW_mapType_in_oclType4638

    public static final org.antlr.runtime.BitSet FOLLOW_mapType_in_oclType4638

### FOLLOW_primitive_in_oclType4643

    public static final org.antlr.runtime.BitSet FOLLOW_primitive_in_oclType4643

### FOLLOW_collectionType_in_oclType4648

    public static final org.antlr.runtime.BitSet FOLLOW_collectionType_in_oclType4648

### FOLLOW_oclType_abstractContents_in_oclType4653

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_abstractContents_in_oclType4653

### FOLLOW_86_in_oclAnyType4686

    public static final org.antlr.runtime.BitSet FOLLOW_86_in_oclAnyType4686

### FOLLOW_87_in_tupleType4718

    public static final org.antlr.runtime.BitSet FOLLOW_87_in_tupleType4718

### FOLLOW_LPAREN_in_tupleType4720

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_tupleType4720

### FOLLOW_tupleTypeAttribute_in_tupleType4726

    public static final org.antlr.runtime.BitSet FOLLOW_tupleTypeAttribute_in_tupleType4726

### FOLLOW_COMA_in_tupleType4733

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_tupleType4733

### FOLLOW_tupleTypeAttribute_in_tupleType4738

    public static final org.antlr.runtime.BitSet FOLLOW_tupleTypeAttribute_in_tupleType4738

### FOLLOW_RPAREN_in_tupleType4748

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_tupleType4748

### FOLLOW_identifier_in_tupleTypeAttribute4782

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_tupleTypeAttribute4782

### FOLLOW_COLON_in_tupleTypeAttribute4786

    public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_tupleTypeAttribute4786

### FOLLOW_oclType_in_tupleTypeAttribute4790

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_tupleTypeAttribute4790

### FOLLOW_83_in_mapType4824

    public static final org.antlr.runtime.BitSet FOLLOW_83_in_mapType4824

### FOLLOW_LPAREN_in_mapType4826

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_mapType4826

### FOLLOW_oclType_in_mapType4830

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_mapType4830

### FOLLOW_COMA_in_mapType4834

    public static final org.antlr.runtime.BitSet FOLLOW_COMA_in_mapType4834

### FOLLOW_oclType_in_mapType4838

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_mapType4838

### FOLLOW_RPAREN_in_mapType4842

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_mapType4842

### FOLLOW_numericType_in_primitive4877

    public static final org.antlr.runtime.BitSet FOLLOW_numericType_in_primitive4877

### FOLLOW_booleanType_in_primitive4882

    public static final org.antlr.runtime.BitSet FOLLOW_booleanType_in_primitive4882

### FOLLOW_stringType_in_primitive4887

    public static final org.antlr.runtime.BitSet FOLLOW_stringType_in_primitive4887

### FOLLOW_integerType_in_numericType4923

    public static final org.antlr.runtime.BitSet FOLLOW_integerType_in_numericType4923

### FOLLOW_realType_in_numericType4928

    public static final org.antlr.runtime.BitSet FOLLOW_realType_in_numericType4928

### FOLLOW_88_in_integerType4961

    public static final org.antlr.runtime.BitSet FOLLOW_88_in_integerType4961

### FOLLOW_89_in_realType4993

    public static final org.antlr.runtime.BitSet FOLLOW_89_in_realType4993

### FOLLOW_90_in_booleanType5025

    public static final org.antlr.runtime.BitSet FOLLOW_90_in_booleanType5025

### FOLLOW_91_in_stringType5057

    public static final org.antlr.runtime.BitSet FOLLOW_91_in_stringType5057

### FOLLOW_bagType_in_collectionType5092

    public static final org.antlr.runtime.BitSet FOLLOW_bagType_in_collectionType5092

### FOLLOW_setType_in_collectionType5097

    public static final org.antlr.runtime.BitSet FOLLOW_setType_in_collectionType5097

### FOLLOW_orderedSetType_in_collectionType5102

    public static final org.antlr.runtime.BitSet FOLLOW_orderedSetType_in_collectionType5102

### FOLLOW_sequenceType_in_collectionType5107

    public static final org.antlr.runtime.BitSet FOLLOW_sequenceType_in_collectionType5107

### FOLLOW_collectionType_abstractContents_in_collectionType5112

    public static final org.antlr.runtime.BitSet FOLLOW_collectionType_abstractContents_in_collectionType5112

### FOLLOW_79_in_bagType5145

    public static final org.antlr.runtime.BitSet FOLLOW_79_in_bagType5145

### FOLLOW_LPAREN_in_bagType5147

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_bagType5147

### FOLLOW_oclType_in_bagType5151

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_bagType5151

### FOLLOW_RPAREN_in_bagType5155

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_bagType5155

### FOLLOW_80_in_setType5187

    public static final org.antlr.runtime.BitSet FOLLOW_80_in_setType5187

### FOLLOW_LPAREN_in_setType5189

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_setType5189

### FOLLOW_oclType_in_setType5193

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_setType5193

### FOLLOW_RPAREN_in_setType5197

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_setType5197

### FOLLOW_81_in_orderedSetType5229

    public static final org.antlr.runtime.BitSet FOLLOW_81_in_orderedSetType5229

### FOLLOW_LPAREN_in_orderedSetType5231

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_orderedSetType5231

### FOLLOW_oclType_in_orderedSetType5235

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_orderedSetType5235

### FOLLOW_RPAREN_in_orderedSetType5239

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_orderedSetType5239

### FOLLOW_82_in_sequenceType5271

    public static final org.antlr.runtime.BitSet FOLLOW_82_in_sequenceType5271

### FOLLOW_LPAREN_in_sequenceType5273

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_sequenceType5273

### FOLLOW_oclType_in_sequenceType5277

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_sequenceType5277

### FOLLOW_RPAREN_in_sequenceType5281

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_sequenceType5281

### FOLLOW_primary_oclExpression_in_priority_05315

    public static final org.antlr.runtime.BitSet FOLLOW_primary_oclExpression_in_priority_05315

### FOLLOW_POINT_in_priority_05320

    public static final org.antlr.runtime.BitSet FOLLOW_POINT_in_priority_05320

### FOLLOW_operationCallExp_in_priority_05327

    public static final org.antlr.runtime.BitSet FOLLOW_operationCallExp_in_priority_05327

### FOLLOW_navigationOrAttributeCallExp_in_priority_05334

    public static final org.antlr.runtime.BitSet FOLLOW_navigationOrAttributeCallExp_in_priority_05334

### FOLLOW_RARROW_in_priority_05342

    public static final org.antlr.runtime.BitSet FOLLOW_RARROW_in_priority_05342

### FOLLOW_iteratorExp_in_priority_05349

    public static final org.antlr.runtime.BitSet FOLLOW_iteratorExp_in_priority_05349

### FOLLOW_iterateExp_in_priority_05356

    public static final org.antlr.runtime.BitSet FOLLOW_iterateExp_in_priority_05356

### FOLLOW_collectionOperationCallExp_in_priority_05363

    public static final org.antlr.runtime.BitSet FOLLOW_collectionOperationCallExp_in_priority_05363

### FOLLOW_93_in_priority_15403

    public static final org.antlr.runtime.BitSet FOLLOW_93_in_priority_15403

### FOLLOW_operatorCallExp_in_priority_15410

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_15410

### FOLLOW_priority_0_in_priority_15415

    public static final org.antlr.runtime.BitSet FOLLOW_priority_0_in_priority_15415

### FOLLOW_MINUS_in_priority_15423

    public static final org.antlr.runtime.BitSet FOLLOW_MINUS_in_priority_15423

### FOLLOW_operatorCallExp_in_priority_15430

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_15430

### FOLLOW_priority_0_in_priority_15435

    public static final org.antlr.runtime.BitSet FOLLOW_priority_0_in_priority_15435

### FOLLOW_priority_0_in_priority_15445

    public static final org.antlr.runtime.BitSet FOLLOW_priority_0_in_priority_15445

### FOLLOW_priority_1_in_priority_25480

    public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25480

### FOLLOW_STAR_in_priority_25485

    public static final org.antlr.runtime.BitSet FOLLOW_STAR_in_priority_25485

### FOLLOW_operatorCallExp_in_priority_25492

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_25492

### FOLLOW_priority_1_in_priority_25497

    public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25497

### FOLLOW_SLASH_in_priority_25505

    public static final org.antlr.runtime.BitSet FOLLOW_SLASH_in_priority_25505

### FOLLOW_operatorCallExp_in_priority_25512

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_25512

### FOLLOW_priority_1_in_priority_25517

    public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25517

### FOLLOW_94_in_priority_25525

    public static final org.antlr.runtime.BitSet FOLLOW_94_in_priority_25525

### FOLLOW_operatorCallExp_in_priority_25532

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_25532

### FOLLOW_priority_1_in_priority_25537

    public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25537

### FOLLOW_95_in_priority_25545

    public static final org.antlr.runtime.BitSet FOLLOW_95_in_priority_25545

### FOLLOW_operatorCallExp_in_priority_25552

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_25552

### FOLLOW_priority_1_in_priority_25557

    public static final org.antlr.runtime.BitSet FOLLOW_priority_1_in_priority_25557

### FOLLOW_priority_2_in_priority_35598

    public static final org.antlr.runtime.BitSet FOLLOW_priority_2_in_priority_35598

### FOLLOW_PLUS_in_priority_35603

    public static final org.antlr.runtime.BitSet FOLLOW_PLUS_in_priority_35603

### FOLLOW_operatorCallExp_in_priority_35610

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_35610

### FOLLOW_priority_2_in_priority_35615

    public static final org.antlr.runtime.BitSet FOLLOW_priority_2_in_priority_35615

### FOLLOW_MINUS_in_priority_35623

    public static final org.antlr.runtime.BitSet FOLLOW_MINUS_in_priority_35623

### FOLLOW_operatorCallExp_in_priority_35630

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_35630

### FOLLOW_priority_2_in_priority_35635

    public static final org.antlr.runtime.BitSet FOLLOW_priority_2_in_priority_35635

### FOLLOW_priority_3_in_priority_45676

    public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45676

### FOLLOW_EQ_in_priority_45681

    public static final org.antlr.runtime.BitSet FOLLOW_EQ_in_priority_45681

### FOLLOW_operatorCallExp_in_priority_45688

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45688

### FOLLOW_priority_3_in_priority_45693

    public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45693

### FOLLOW_GT_in_priority_45701

    public static final org.antlr.runtime.BitSet FOLLOW_GT_in_priority_45701

### FOLLOW_operatorCallExp_in_priority_45708

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45708

### FOLLOW_priority_3_in_priority_45713

    public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45713

### FOLLOW_LT_in_priority_45721

    public static final org.antlr.runtime.BitSet FOLLOW_LT_in_priority_45721

### FOLLOW_operatorCallExp_in_priority_45728

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45728

### FOLLOW_priority_3_in_priority_45733

    public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45733

### FOLLOW_GE_in_priority_45741

    public static final org.antlr.runtime.BitSet FOLLOW_GE_in_priority_45741

### FOLLOW_operatorCallExp_in_priority_45748

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45748

### FOLLOW_priority_3_in_priority_45753

    public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45753

### FOLLOW_LE_in_priority_45761

    public static final org.antlr.runtime.BitSet FOLLOW_LE_in_priority_45761

### FOLLOW_operatorCallExp_in_priority_45768

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45768

### FOLLOW_priority_3_in_priority_45773

    public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45773

### FOLLOW_NE_in_priority_45781

    public static final org.antlr.runtime.BitSet FOLLOW_NE_in_priority_45781

### FOLLOW_operatorCallExp_in_priority_45788

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_45788

### FOLLOW_priority_3_in_priority_45793

    public static final org.antlr.runtime.BitSet FOLLOW_priority_3_in_priority_45793

### FOLLOW_priority_4_in_priority_55834

    public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55834

### FOLLOW_96_in_priority_55839

    public static final org.antlr.runtime.BitSet FOLLOW_96_in_priority_55839

### FOLLOW_operatorCallExp_in_priority_55846

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_55846

### FOLLOW_priority_4_in_priority_55851

    public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55851

### FOLLOW_97_in_priority_55859

    public static final org.antlr.runtime.BitSet FOLLOW_97_in_priority_55859

### FOLLOW_operatorCallExp_in_priority_55866

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_55866

### FOLLOW_priority_4_in_priority_55871

    public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55871

### FOLLOW_98_in_priority_55879

    public static final org.antlr.runtime.BitSet FOLLOW_98_in_priority_55879

### FOLLOW_operatorCallExp_in_priority_55886

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_55886

### FOLLOW_priority_4_in_priority_55891

    public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55891

### FOLLOW_99_in_priority_55899

    public static final org.antlr.runtime.BitSet FOLLOW_99_in_priority_55899

### FOLLOW_operatorCallExp_in_priority_55906

    public static final org.antlr.runtime.BitSet FOLLOW_operatorCallExp_in_priority_55906

### FOLLOW_priority_4_in_priority_55911

    public static final org.antlr.runtime.BitSet FOLLOW_priority_4_in_priority_55911

### FOLLOW_53_in_matchedRule_abstractContents5952

    public static final org.antlr.runtime.BitSet FOLLOW_53_in_matchedRule_abstractContents5952

### FOLLOW_54_in_matchedRule_abstractContents5966

    public static final org.antlr.runtime.BitSet FOLLOW_54_in_matchedRule_abstractContents5966

### FOLLOW_45_in_matchedRule_abstractContents5980

    public static final org.antlr.runtime.BitSet FOLLOW_45_in_matchedRule_abstractContents5980

### FOLLOW_55_in_matchedRule_abstractContents5992

    public static final org.antlr.runtime.BitSet FOLLOW_55_in_matchedRule_abstractContents5992

### FOLLOW_identifier_in_matchedRule_abstractContents5996

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_matchedRule_abstractContents5996

### FOLLOW_56_in_matchedRule_abstractContents6002

    public static final org.antlr.runtime.BitSet FOLLOW_56_in_matchedRule_abstractContents6002

### FOLLOW_identifier_in_matchedRule_abstractContents6006

    public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_matchedRule_abstractContents6006

### FOLLOW_LCURLY_in_matchedRule_abstractContents6020

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_matchedRule_abstractContents6020

### FOLLOW_inPattern_in_matchedRule_abstractContents6026

    public static final org.antlr.runtime.BitSet FOLLOW_inPattern_in_matchedRule_abstractContents6026

### FOLLOW_57_in_matchedRule_abstractContents6032

    public static final org.antlr.runtime.BitSet FOLLOW_57_in_matchedRule_abstractContents6032

### FOLLOW_LCURLY_in_matchedRule_abstractContents6034

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_matchedRule_abstractContents6034

### FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6042

    public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6042

### FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6050

    public static final org.antlr.runtime.BitSet FOLLOW_ruleVariableDeclaration_in_matchedRule_abstractContents6050

### FOLLOW_RCURLY_in_matchedRule_abstractContents6062

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_matchedRule_abstractContents6062

### FOLLOW_outPattern_in_matchedRule_abstractContents6078

    public static final org.antlr.runtime.BitSet FOLLOW_outPattern_in_matchedRule_abstractContents6078

### FOLLOW_actionBlock_in_matchedRule_abstractContents6096

    public static final org.antlr.runtime.BitSet FOLLOW_actionBlock_in_matchedRule_abstractContents6096

### FOLLOW_RCURLY_in_matchedRule_abstractContents6112

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_matchedRule_abstractContents6112

### FOLLOW_85_in_oclType_abstractContents6144

    public static final org.antlr.runtime.BitSet FOLLOW_85_in_oclType_abstractContents6144

### FOLLOW_92_in_collectionType_abstractContents6176

    public static final org.antlr.runtime.BitSet FOLLOW_92_in_collectionType_abstractContents6176

### FOLLOW_LPAREN_in_collectionType_abstractContents6178

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_collectionType_abstractContents6178

### FOLLOW_oclType_in_collectionType_abstractContents6182

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_collectionType_abstractContents6182

### FOLLOW_RPAREN_in_collectionType_abstractContents6186

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_collectionType_abstractContents6186

### FOLLOW_LPAREN_in_primary_oclExpression6219

    public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_primary_oclExpression6219

### FOLLOW_oclExpression_in_primary_oclExpression6223

    public static final org.antlr.runtime.BitSet FOLLOW_oclExpression_in_primary_oclExpression6223

### FOLLOW_RPAREN_in_primary_oclExpression6225

    public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_primary_oclExpression6225

### FOLLOW_variableExp_in_primary_oclExpression6231

    public static final org.antlr.runtime.BitSet FOLLOW_variableExp_in_primary_oclExpression6231

### FOLLOW_oclUndefinedExp_in_primary_oclExpression6236

    public static final org.antlr.runtime.BitSet FOLLOW_oclUndefinedExp_in_primary_oclExpression6236

### FOLLOW_primitiveExp_in_primary_oclExpression6241

    public static final org.antlr.runtime.BitSet FOLLOW_primitiveExp_in_primary_oclExpression6241

### FOLLOW_ifExp_in_primary_oclExpression6246

    public static final org.antlr.runtime.BitSet FOLLOW_ifExp_in_primary_oclExpression6246

### FOLLOW_superExp_in_primary_oclExpression6251

    public static final org.antlr.runtime.BitSet FOLLOW_superExp_in_primary_oclExpression6251

### FOLLOW_enumLiteralExp_in_primary_oclExpression6256

    public static final org.antlr.runtime.BitSet FOLLOW_enumLiteralExp_in_primary_oclExpression6256

### FOLLOW_collectionExp_in_primary_oclExpression6261

    public static final org.antlr.runtime.BitSet FOLLOW_collectionExp_in_primary_oclExpression6261

### FOLLOW_mapExp_in_primary_oclExpression6266

    public static final org.antlr.runtime.BitSet FOLLOW_mapExp_in_primary_oclExpression6266

### FOLLOW_tupleExp_in_primary_oclExpression6271

    public static final org.antlr.runtime.BitSet FOLLOW_tupleExp_in_primary_oclExpression6271

### FOLLOW_oclType_in_primary_oclExpression6276

    public static final org.antlr.runtime.BitSet FOLLOW_oclType_in_primary_oclExpression6276

### FOLLOW_ifStat_in_synpred1222635

    public static final org.antlr.runtime.BitSet FOLLOW_ifStat_in_synpred1222635

### FOLLOW_expressionStat_in_synpred1232640

    public static final org.antlr.runtime.BitSet FOLLOW_expressionStat_in_synpred1232640

### FOLLOW_bindingStat_in_synpred1242645

    public static final org.antlr.runtime.BitSet FOLLOW_bindingStat_in_synpred1242645

### FOLLOW_69_in_synpred1322845

    public static final org.antlr.runtime.BitSet FOLLOW_69_in_synpred1322845

### FOLLOW_statement_in_synpred1322853

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_synpred1322853

### FOLLOW_LCURLY_in_synpred1322864

    public static final org.antlr.runtime.BitSet FOLLOW_LCURLY_in_synpred1322864

### FOLLOW_statement_in_synpred1322872

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_synpred1322872

### FOLLOW_statement_in_synpred1322880

    public static final org.antlr.runtime.BitSet FOLLOW_statement_in_synpred1322880

### FOLLOW_RCURLY_in_synpred1322892

    public static final org.antlr.runtime.BitSet FOLLOW_RCURLY_in_synpred1322892

Constructor Detail

### ATL_ANTLR3Parser

    public ATL_ANTLR3Parser(org.antlr.runtime.TokenStream input)

Method Detail

### getTokenNames

    public java.lang.String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### displayRecognitionError

    public void displayRecognitionError(java.lang.String[] tokenNames,
                                        org.antlr.runtime.RecognitionException e)

  Overrides:
    `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public final java.lang.Object main()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### identifier

    public final java.lang.Object identifier()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### identifierOrKeyword

    public final java.lang.Object identifierOrKeyword()
                                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### stringSymbol

    public final java.lang.Object stringSymbol()
                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### integerSymbol

    public final java.lang.Object integerSymbol()
                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### floatSymbol

    public final java.lang.Object floatSymbol()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### unit

    public final java.lang.Object unit()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### module

    public final java.lang.Object module()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### library

    public final java.lang.Object library()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### query

    public final java.lang.Object query()
                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### libraryRef

    public final java.lang.Object libraryRef()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### moduleElement

    public final java.lang.Object moduleElement()
                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### helper

    public final java.lang.Object helper()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclFeatureDefinition

    public final java.lang.Object oclFeatureDefinition()
                                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclContextDefinition

    public final java.lang.Object oclContextDefinition()
                                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclFeature

    public final java.lang.Object oclFeature()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### operation

    public final java.lang.Object operation()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### parameter

    public final java.lang.Object parameter()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### attribute

    public final java.lang.Object attribute()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### rule

    public final java.lang.Object rule()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### matchedRule

    public final java.lang.Object matchedRule()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### lazyMatchedRule

    public final java.lang.Object lazyMatchedRule()
                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleVariableDeclaration

    public final java.lang.Object ruleVariableDeclaration()
                                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### calledRule

    public final java.lang.Object calledRule()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### inPattern

    public final java.lang.Object inPattern()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### inPatternElement

    public final java.lang.Object inPatternElement()
                                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### simpleInPatternElement

    public final java.lang.Object simpleInPatternElement()
                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### outPattern

    public final java.lang.Object outPattern()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### outPatternElement

    public final java.lang.Object outPatternElement()
                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### simpleOutPatternElement

    public final java.lang.Object simpleOutPatternElement()
                                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### forEachOutPatternElement

    public final java.lang.Object forEachOutPatternElement()
                                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### binding

    public final java.lang.Object binding()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### actionBlock

    public final java.lang.Object actionBlock()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### statement

    public final java.lang.Object statement()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### bindingStat

    public final java.lang.Object bindingStat()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### expressionStat

    public final java.lang.Object expressionStat()
                                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ifStat

    public final java.lang.Object ifStat()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### forStat

    public final java.lang.Object forStat()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclModel

    public final java.lang.Object oclModel()
                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclModelElement

    public final java.lang.Object oclModelElement()
                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclExpression

    public final java.lang.Object oclExpression()
                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### iteratorExp

    public final java.lang.Object iteratorExp(java.lang.String opName,
                                              java.lang.Object left,
                                              org.antlr.runtime.Token firstToken)
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### iterateExp

    public final java.lang.Object iterateExp(java.lang.String opName,
                                             java.lang.Object left,
                                             org.antlr.runtime.Token firstToken)
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### collectionOperationCallExp

    public final java.lang.Object collectionOperationCallExp(java.lang.String opName,
                                                             java.lang.Object left,
                                                             org.antlr.runtime.Token firstToken)
                                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### operationCallExp

    public final java.lang.Object operationCallExp(java.lang.String opName,
                                                   java.lang.Object left,
                                                   org.antlr.runtime.Token firstToken)
                                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### navigationOrAttributeCallExp

    public final java.lang.Object navigationOrAttributeCallExp(java.lang.String opName,
                                                               java.lang.Object left,
                                                               org.antlr.runtime.Token firstToken)
                                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### operatorCallExp

    public final java.lang.Object operatorCallExp(java.lang.String opName,
                                                  java.lang.Object left,
                                                  org.antlr.runtime.Token firstToken)
                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### iterator

    public final java.lang.Object iterator()
                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclUndefinedExp

    public final java.lang.Object oclUndefinedExp()
                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### primitiveExp

    public final java.lang.Object primitiveExp()
                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### numericExp

    public final java.lang.Object numericExp()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### booleanExp

    public final java.lang.Object booleanExp()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### integerExp

    public final java.lang.Object integerExp()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### realExp

    public final java.lang.Object realExp()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### stringExp

    public final java.lang.Object stringExp()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ifExp

    public final java.lang.Object ifExp()
                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### variableExp

    public final java.lang.Object variableExp()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### superExp

    public final java.lang.Object superExp()
                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### letExp

    public final java.lang.Object letExp()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### variableDeclaration

    public final java.lang.Object variableDeclaration()
                                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### enumLiteralExp

    public final java.lang.Object enumLiteralExp()
                                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### collectionExp

    public final java.lang.Object collectionExp()
                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### bagExp

    public final java.lang.Object bagExp()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### setExp

    public final java.lang.Object setExp()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### orderedSetExp

    public final java.lang.Object orderedSetExp()
                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### sequenceExp

    public final java.lang.Object sequenceExp()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mapExp

    public final java.lang.Object mapExp()
                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mapElement

    public final java.lang.Object mapElement()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### tupleExp

    public final java.lang.Object tupleExp()
                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### tuplePart

    public final java.lang.Object tuplePart()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclType

    public final java.lang.Object oclType()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclAnyType

    public final java.lang.Object oclAnyType()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### tupleType

    public final java.lang.Object tupleType()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### tupleTypeAttribute

    public final java.lang.Object tupleTypeAttribute()
                                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mapType

    public final java.lang.Object mapType()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### primitive

    public final java.lang.Object primitive()
                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### numericType

    public final java.lang.Object numericType()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### integerType

    public final java.lang.Object integerType()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### realType

    public final java.lang.Object realType()
                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### booleanType

    public final java.lang.Object booleanType()
                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### stringType

    public final java.lang.Object stringType()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### collectionType

    public final java.lang.Object collectionType()
                                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### bagType

    public final java.lang.Object bagType()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### setType

    public final java.lang.Object setType()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### orderedSetType

    public final java.lang.Object orderedSetType()
                                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### sequenceType

    public final java.lang.Object sequenceType()
                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### priority_0

    public final java.lang.Object priority_0()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### priority_1

    public final java.lang.Object priority_1()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### priority_2

    public final java.lang.Object priority_2()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### priority_3

    public final java.lang.Object priority_3()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### priority_4

    public final java.lang.Object priority_4()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### priority_5

    public final java.lang.Object priority_5()
                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### matchedRule_abstractContents

    public final java.lang.Object matchedRule_abstractContents()
                                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### oclType_abstractContents

    public final java.lang.Object oclType_abstractContents()
                                                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### collectionType_abstractContents

    public final java.lang.Object collectionType_abstractContents()
                                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### primary_oclExpression

    public final java.lang.Object primary_oclExpression()
                                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### synpred122_fragment

    public final void synpred122_fragment()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### synpred123_fragment

    public final void synpred123_fragment()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### synpred124_fragment

    public final void synpred124_fragment()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### synpred132_fragment

    public final void synpred132_fragment()
                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### synpred122

    public final boolean synpred122()

### synpred123

    public final boolean synpred123()

### synpred124

    public final boolean synpred124()

### synpred132

    public final boolean synpred132()

Copyright 2007 IBM Corporation and others. All Rights Reserved.